<?php 
/**
 * Icon Collections
 *
 * @package Lanaworks WordPress Theme
 * @subpackage helpers
 * @version 15.5
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}



if ( !function_exists('nectar_get_svg_curved_arrow_markup') ) {
	function nectar_get_svg_curved_arrow_markup() {
		$svg = '<span class="nectar-cta" data-style="curved-arrow-animation" data-triggered-by=".comment-reply-link">
			<span class="link_text">
				<svg aria-hidden="true" width="20" height="20" viewBox="0 0 22 22" preserveAspectRatio="xMidYMid meet">
					<g transform="matrix(1,0,0,-1,12,11)">
						<g transform="matrix(1,0,0,-1,-1,3)">
							<path class="line" stroke-linejoin="round" stroke-linecap="round" fill-opacity="0" stroke="#000" stroke-width="1.5" d="M 7 3.3 L -3.2 3.3 C -5 3.3 -6.5 1.8 -6.5 0 L -6.5 -2.5"></path>
						</g>
						<g transform="matrix(1,0,0,-1,4,-0.5)">
							<path class="arrow" fill-opacity="0" stroke-linejoin="round" stroke-linecap="round" stroke-width="1.5" stroke="#000" d="M -2.5 5 C -2.5 5 2.5 0 2.5 0"></path>
							<path class="arrow" fill-opacity="0" stroke-linejoin="round" stroke-linecap="round" stroke-width="1.5" stroke="#000" d="M -2.5 -5 C -2.5 -5 2.5 0 2.5 0"></path>
						</g>
					</g>
				</svg>
			</span>
		</span>';

		return $svg;
	}
}

/**
* Used to generate only the needed CSS for iconsmind library
* @since 12.5
*/

if( !function_exists('nectar_iconsmind_icon_list') ) {
	
	function nectar_iconsmind_icon_list() {
		
		$iconsmind_icons = array (
			'iconsmind-Aquarius' => '\\e900',
			'iconsmind-Aquarius-2' => '\\e901',
			'iconsmind-Aries' => '\\e902',
			'iconsmind-Aries-2' => '\\e903',
			'iconsmind-Cancer' => '\\e904',
			'iconsmind-Cancer-2' => '\\e905',
			'iconsmind-Capricorn' => '\\e906',
			'iconsmind-Capricorn-2' => '\\e907',
			'iconsmind-Gemini' => '\\e908',
			'iconsmind-Gemini-2' => '\\e909',
			'iconsmind-Leo' => '\\e90a',
			'iconsmind-Leo-2' => '\\e90b',
			'iconsmind-Libra' => '\\e90c',
			'iconsmind-Libra-2' => '\\e90d',
			'iconsmind-Pisces' => '\\e90e',
			'iconsmind-Pisces-2' => '\\e90f',
			'iconsmind-Sagittarus' => '\\e910',
			'iconsmind-Sagittarus-2' => '\\e911',
			'iconsmind-Scorpio' => '\\e912',
			'iconsmind-Scorpio-2' => '\\e913',
			'iconsmind-Taurus' => '\\e914',
			'iconsmind-Taurus-2' => '\\e915',
			'iconsmind-Virgo' => '\\e916',
			'iconsmind-Virgo-2' => '\\e917',
			'iconsmind-Add-Window' => '\\e918',
			'iconsmind-Approved-Window' => '\\e919',
			'iconsmind-Block-Window' => '\\e91a',
			'iconsmind-Close-Window' => '\\e91b',
			'iconsmind-Code-Window' => '\\e91c',
			'iconsmind-Delete-Window' => '\\e91d',
			'iconsmind-Download-Window' => '\\e91e',
			'iconsmind-Duplicate-Window' => '\\e91f',
			'iconsmind-Error-404Window' => '\\e920',
			'iconsmind-Favorite-Window' => '\\e921',
			'iconsmind-Font-Window' => '\\e922',
			'iconsmind-Full-ViewWindow' => '\\e923',
			'iconsmind-Height-Window' => '\\e924',
			'iconsmind-Home-Window' => '\\e925',
			'iconsmind-Info-Window' => '\\e926',
			'iconsmind-Loading-Window' => '\\e927',
			'iconsmind-Lock-Window' => '\\e928',
			'iconsmind-Love-Window' => '\\e929',
			'iconsmind-Maximize-Window' => '\\e92a',
			'iconsmind-Minimize-Maximize-Close-Window' => '\\e92b',
			'iconsmind-Minimize-Window' => '\\e92c',
			'iconsmind-Navigation-LeftWindow' => '\\e92d',
			'iconsmind-Navigation-RightWindow' => '\\e92e',
			'iconsmind-Network-Window' => '\\e92f',
			'iconsmind-New-Tab' => '\\e930',
			'iconsmind-One-Window' => '\\e931',
			'iconsmind-Refresh-Window' => '\\e932',
			'iconsmind-Remove-Window' => '\\e933',
			'iconsmind-Restore-Window' => '\\e934',
			'iconsmind-Save-Window' => '\\e935',
			'iconsmind-Settings-Window' => '\\e936',
			'iconsmind-Share-Window' => '\\e937',
			'iconsmind-Sidebar-Window' => '\\e938',
			'iconsmind-Split-FourSquareWindow' => '\\e939',
			'iconsmind-Split-Horizontal' => '\\e93a',
			'iconsmind-Split-Horizontal2Window' => '\\e93b',
			'iconsmind-Split-Vertical' => '\\e93c',
			'iconsmind-Split-Vertical2' => '\\e93d',
			'iconsmind-Split-Window' => '\\e93e',
			'iconsmind-Time-Window' => '\\e93f',
			'iconsmind-Touch-Window' => '\\e940',
			'iconsmind-Two-Windows' => '\\e941',
			'iconsmind-Upload-Window' => '\\e942',
			'iconsmind-URL-Window' => '\\e943',
			'iconsmind-Warning-Window' => '\\e944',
			'iconsmind-Width-Window' => '\\e945',
			'iconsmind-Window-2' => '\\e946',
			'iconsmind-Windows-2' => '\\e947',
			'iconsmind-Autumn' => '\\e948',
			'iconsmind-Celsius' => '\\e949',
			'iconsmind-Cloud-Hail' => '\\e94a',
			'iconsmind-Cloud-Moon' => '\\e94b',
			'iconsmind-Cloud-Rain' => '\\e94c',
			'iconsmind-Cloud-Snow' => '\\e94d',
			'iconsmind-Cloud-Sun' => '\\e94e',
			'iconsmind-Clouds-Weather' => '\\e94f',
			'iconsmind-Cloud-Weather' => '\\e950',
			'iconsmind-Drop' => '\\e951',
			'iconsmind-Dry' => '\\e952',
			'iconsmind-Fahrenheit' => '\\e953',
			'iconsmind-Fog-Day' => '\\e954',
			'iconsmind-Fog-Night' => '\\e955',
			'iconsmind-Full-Moon' => '\\e956',
			'iconsmind-Half-Moon' => '\\e957',
			'iconsmind-No-Drop' => '\\e958',
			'iconsmind-Rainbow' => '\\e959',
			'iconsmind-Rainbow-2' => '\\e95a',
			'iconsmind-Rain-Drop' => '\\e95b',
			'iconsmind-Sleet' => '\\e95c',
			'iconsmind-Snow' => '\\e95d',
			'iconsmind-Snowflake' => '\\e95e',
			'iconsmind-Snowflake-2' => '\\e95f',
			'iconsmind-Snowflake-3' => '\\e960',
			'iconsmind-Snow-Storm' => '\\e961',
			'iconsmind-Spring' => '\\e962',
			'iconsmind-Storm' => '\\e963',
			'iconsmind-Summer' => '\\e964',
			'iconsmind-Sun' => '\\e965',
			'iconsmind-Sun-CloudyRain' => '\\e966',
			'iconsmind-Sunrise' => '\\e967',
			'iconsmind-Sunset' => '\\e968',
			'iconsmind-Temperature' => '\\e969',
			'iconsmind-Temperature-2' => '\\e96a',
			'iconsmind-Thunder' => '\\e96b',
			'iconsmind-Thunderstorm' => '\\e96c',
			'iconsmind-Twister' => '\\e96d',
			'iconsmind-Umbrella-2' => '\\e96e',
			'iconsmind-Umbrella-3' => '\\e96f',
			'iconsmind-Wave' => '\\e970',
			'iconsmind-Wave-2' => '\\e971',
			'iconsmind-Windsock' => '\\e972',
			'iconsmind-Wind-Turbine' => '\\e973',
			'iconsmind-Windy' => '\\e974',
			'iconsmind-Winter' => '\\e975',
			'iconsmind-Winter-2' => '\\e976',
			'iconsmind-Cinema' => '\\e977',
			'iconsmind-Clapperboard-Close' => '\\e978',
			'iconsmind-Clapperboard-Open' => '\\e979',
			'iconsmind-D-Eyeglasses' => '\\e97a',
			'iconsmind-D-Eyeglasses2' => '\\e97b',
			'iconsmind-Director' => '\\e97c',
			'iconsmind-Film' => '\\e97d',
			'iconsmind-Film-Strip' => '\\e97e',
			'iconsmind-Film-Video' => '\\e97f',
			'iconsmind-Flash-Video' => '\\e980',
			'iconsmind-HD-Video' => '\\e981',
			'iconsmind-Movie' => '\\e982',
			'iconsmind-Old-TV' => '\\e983',
			'iconsmind-Reel' => '\\e984',
			'iconsmind-Tripod-andVideo' => '\\e985',
			'iconsmind-TV' => '\\e986',
			'iconsmind-Video' => '\\e987',
			'iconsmind-Video-2' => '\\e988',
			'iconsmind-Video-3' => '\\e989',
			'iconsmind-Video-4' => '\\e98a',
			'iconsmind-Video-5' => '\\e98b',
			'iconsmind-Video-6' => '\\e98c',
			'iconsmind-Video-Len' => '\\e98d',
			'iconsmind-Video-Len2' => '\\e98e',
			'iconsmind-Video-Photographer' => '\\e98f',
			'iconsmind-Video-Tripod' => '\\e990',
			'iconsmind-Affiliate' => '\\e991',
			'iconsmind-Background' => '\\e992',
			'iconsmind-Billing' => '\\e993',
			'iconsmind-Control' => '\\e994',
			'iconsmind-Control-2' => '\\e995',
			'iconsmind-Crop-2' => '\\e996',
			'iconsmind-Dashboard' => '\\e997',
			'iconsmind-Duplicate-Layer' => '\\e998',
			'iconsmind-Filter-2' => '\\e999',
			'iconsmind-Gear' => '\\e99a',
			'iconsmind-Gear-2' => '\\e99b',
			'iconsmind-Gears' => '\\e99c',
			'iconsmind-Gears-2' => '\\e99d',
			'iconsmind-Information' => '\\e99e',
			'iconsmind-Layer-Backward' => '\\e99f',
			'iconsmind-Layer-Forward' => '\\e9a0',
			'iconsmind-Library' => '\\e9a1',
			'iconsmind-Loading' => '\\e9a2',
			'iconsmind-Loading-2' => '\\e9a3',
			'iconsmind-Loading-3' => '\\e9a4',
			'iconsmind-Magnifi-Glass' => '\\e9a5',
			'iconsmind-Magnifi-Glass2' => '\\e9a6',
			'iconsmind-Magnifi-Glass22' => '\\e9a7',
			'iconsmind-Mouse-Pointer' => '\\e9a8',
			'iconsmind-On-off' => '\\e9a9',
			'iconsmind-On-Off-2' => '\\e9aa',
			'iconsmind-On-Off-3' => '\\e9ab',
			'iconsmind-Preview' => '\\e9ac',
			'iconsmind-Pricing' => '\\e9ad',
			'iconsmind-Profile' => '\\e9ae',
			'iconsmind-Project' => '\\e9af',
			'iconsmind-Rename' => '\\e9b0',
			'iconsmind-Repair' => '\\e9b1',
			'iconsmind-Save' => '\\e9b2',
			'iconsmind-Scroller' => '\\e9b3',
			'iconsmind-Scroller-2' => '\\e9b4',
			'iconsmind-Share' => '\\e9b5',
			'iconsmind-Statistic' => '\\e9b6',
			'iconsmind-Support' => '\\e9b7',
			'iconsmind-Switch' => '\\e9b8',
			'iconsmind-Upgrade' => '\\e9b9',
			'iconsmind-User' => '\\e9ba',
			'iconsmind-Wrench' => '\\e9bb',
			'iconsmind-Air-Balloon' => '\\e9bc',
			'iconsmind-Airship' => '\\e9bd',
			'iconsmind-Bicycle' => '\\e9be',
			'iconsmind-Bicycle-2' => '\\e9bf',
			'iconsmind-Bike-Helmet' => '\\e9c0',
			'iconsmind-Bus' => '\\e9c1',
			'iconsmind-Bus-2' => '\\e9c2',
			'iconsmind-Cable-Car' => '\\e9c3',
			'iconsmind-Car' => '\\e9c4',
			'iconsmind-Car-2' => '\\e9c5',
			'iconsmind-Car-3' => '\\e9c6',
			'iconsmind-Car-Wheel' => '\\e9c7',
			'iconsmind-Gaugage' => '\\e9c8',
			'iconsmind-Gaugage-2' => '\\e9c9',
			'iconsmind-Helicopter' => '\\e9ca',
			'iconsmind-Helicopter-2' => '\\e9cb',
			'iconsmind-Helmet' => '\\e9cc',
			'iconsmind-Jeep' => '\\e9cd',
			'iconsmind-Jeep-2' => '\\e9ce',
			'iconsmind-Jet' => '\\e9cf',
			'iconsmind-Motorcycle' => '\\e9d0',
			'iconsmind-Plane' => '\\e9d1',
			'iconsmind-Plane-2' => '\\e9d2',
			'iconsmind-Road' => '\\e9d3',
			'iconsmind-Road-2' => '\\e9d4',
			'iconsmind-Rocket' => '\\e9d5',
			'iconsmind-Sailing-Ship' => '\\e9d6',
			'iconsmind-Scooter' => '\\e9d7',
			'iconsmind-Scooter-Front' => '\\e9d8',
			'iconsmind-Ship' => '\\e9d9',
			'iconsmind-Ship-2' => '\\e9da',
			'iconsmind-Skateboard' => '\\e9db',
			'iconsmind-Skateboard-2' => '\\e9dc',
			'iconsmind-Taxi' => '\\e9dd',
			'iconsmind-Taxi-2' => '\\e9de',
			'iconsmind-Taxi-Sign' => '\\e9df',
			'iconsmind-Tractor' => '\\e9e0',
			'iconsmind-traffic-Light' => '\\e9e1',
			'iconsmind-Traffic-Light2' => '\\e9e2',
			'iconsmind-Train' => '\\e9e3',
			'iconsmind-Train-2' => '\\e9e4',
			'iconsmind-Tram' => '\\e9e5',
			'iconsmind-Truck' => '\\e9e6',
			'iconsmind-Yacht' => '\\e9e7',
			'iconsmind-Double-Tap' => '\\e9e8',
			'iconsmind-Drag' => '\\e9e9',
			'iconsmind-Drag-Down' => '\\e9ea',
			'iconsmind-Drag-Left' => '\\e9eb',
			'iconsmind-Drag-Right' => '\\e9ec',
			'iconsmind-Drag-Up' => '\\e9ed',
			'iconsmind-Finger-DragFourSides' => '\\e9ee',
			'iconsmind-Finger-DragTwoSides' => '\\e9ef',
			'iconsmind-Five-Fingers' => '\\e9f0',
			'iconsmind-Five-FingersDrag' => '\\e9f1',
			'iconsmind-Five-FingersDrag2' => '\\e9f2',
			'iconsmind-Five-FingersTouch' => '\\e9f3',
			'iconsmind-Flick' => '\\e9f4',
			'iconsmind-Four-Fingers' => '\\e9f5',
			'iconsmind-Four-FingersDrag' => '\\e9f6',
			'iconsmind-Four-FingersDrag2' => '\\e9f7',
			'iconsmind-Four-FingersTouch' => '\\e9f8',
			'iconsmind-Hand-Touch' => '\\e9f9',
			'iconsmind-Hand-Touch2' => '\\e9fa',
			'iconsmind-Hand-TouchSmartphone' => '\\e9fb',
			'iconsmind-One-Finger' => '\\e9fc',
			'iconsmind-One-FingerTouch' => '\\e9fd',
			'iconsmind-Pinch' => '\\e9fe',
			'iconsmind-Press' => '\\e9ff',
			'iconsmind-Rotate-Gesture' => '\\ea00',
			'iconsmind-Rotate-Gesture2' => '\\ea01',
			'iconsmind-Rotate-Gesture3' => '\\ea02',
			'iconsmind-Scroll' => '\\ea03',
			'iconsmind-Scroll-Fast' => '\\ea04',
			'iconsmind-Spread' => '\\ea05',
			'iconsmind-Star-Track' => '\\ea06',
			'iconsmind-Tap' => '\\ea07',
			'iconsmind-Three-Fingers' => '\\ea08',
			'iconsmind-Three-FingersDrag' => '\\ea09',
			'iconsmind-Three-FingersDrag2' => '\\ea0a',
			'iconsmind-Three-FingersTouch' => '\\ea0b',
			'iconsmind-Thumb' => '\\ea0c',
			'iconsmind-Two-Fingers' => '\\ea0d',
			'iconsmind-Two-FingersDrag' => '\\ea0e',
			'iconsmind-Two-FingersDrag2' => '\\ea0f',
			'iconsmind-Two-FingersScroll' => '\\ea10',
			'iconsmind-Two-FingersTouch' => '\\ea11',
			'iconsmind-Zoom-Gesture' => '\\ea12',
			'iconsmind-Alarm-Clock' => '\\ea13',
			'iconsmind-Alarm-Clock2' => '\\ea14',
			'iconsmind-Calendar-Clock' => '\\ea15',
			'iconsmind-Clock' => '\\ea16',
			'iconsmind-Clock-2' => '\\ea17',
			'iconsmind-Clock-3' => '\\ea18',
			'iconsmind-Clock-4' => '\\ea19',
			'iconsmind-Clock-Back' => '\\ea1a',
			'iconsmind-Clock-Forward' => '\\ea1b',
			'iconsmind-Hour' => '\\ea1c',
			'iconsmind-Old-Clock' => '\\ea1d',
			'iconsmind-Over-Time' => '\\ea1e',
			'iconsmind-Over-Time2' => '\\ea1f',
			'iconsmind-Sand-watch' => '\\ea20',
			'iconsmind-Sand-watch2' => '\\ea21',
			'iconsmind-Stopwatch' => '\\ea22',
			'iconsmind-Stopwatch-2' => '\\ea23',
			'iconsmind-Time-Backup' => '\\ea24',
			'iconsmind-Time-Fire' => '\\ea25',
			'iconsmind-Time-Machine' => '\\ea26',
			'iconsmind-Timer' => '\\ea27',
			'iconsmind-Watch' => '\\ea28',
			'iconsmind-Watch-2' => '\\ea29',
			'iconsmind-Watch-3' => '\\ea2a',
			'iconsmind-A-Z' => '\\ea2b',
			'iconsmind-Bold-Text' => '\\ea2c',
			'iconsmind-Bulleted-List' => '\\ea2d',
			'iconsmind-Font-Color' => '\\ea2e',
			'iconsmind-Font-Name' => '\\ea2f',
			'iconsmind-Font-Size' => '\\ea30',
			'iconsmind-Font-Style' => '\\ea31',
			'iconsmind-Font-StyleSubscript' => '\\ea32',
			'iconsmind-Font-StyleSuperscript' => '\\ea33',
			'iconsmind-Function' => '\\ea34',
			'iconsmind-Italic-Text' => '\\ea35',
			'iconsmind-Line-SpacingText' => '\\ea36',
			'iconsmind-Lowercase-Text' => '\\ea37',
			'iconsmind-Normal-Text' => '\\ea38',
			'iconsmind-Numbering-List' => '\\ea39',
			'iconsmind-Strikethrough-Text' => '\\ea3a',
			'iconsmind-Sum' => '\\ea3b',
			'iconsmind-Text-Box' => '\\ea3c',
			'iconsmind-Text-Effect' => '\\ea3d',
			'iconsmind-Text-HighlightColor' => '\\ea3e',
			'iconsmind-Text-Paragraph' => '\\ea3f',
			'iconsmind-Under-LineText' => '\\ea40',
			'iconsmind-Uppercase-Text' => '\\ea41',
			'iconsmind-Wrap-Text' => '\\ea42',
			'iconsmind-Z-A' => '\\ea43',
			'iconsmind-Aerobics' => '\\ea44',
			'iconsmind-Aerobics-2' => '\\ea45',
			'iconsmind-Aerobics-3' => '\\ea46',
			'iconsmind-Archery' => '\\ea47',
			'iconsmind-Archery-2' => '\\ea48',
			'iconsmind-Ballet-Shoes' => '\\ea49',
			'iconsmind-Baseball' => '\\ea4a',
			'iconsmind-Basket-Ball' => '\\ea4b',
			'iconsmind-Bodybuilding' => '\\ea4c',
			'iconsmind-Bowling' => '\\ea4d',
			'iconsmind-Bowling-2' => '\\ea4e',
			'iconsmind-Box' => '\\ea4f',
			'iconsmind-Chess' => '\\ea50',
			'iconsmind-Cricket' => '\\ea51',
			'iconsmind-Dumbbell' => '\\ea52',
			'iconsmind-Football' => '\\ea53',
			'iconsmind-Football-2' => '\\ea54',
			'iconsmind-Footprint' => '\\ea55',
			'iconsmind-Footprint-2' => '\\ea56',
			'iconsmind-Goggles' => '\\ea57',
			'iconsmind-Golf' => '\\ea58',
			'iconsmind-Golf-2' => '\\ea59',
			'iconsmind-Gymnastics' => '\\ea5a',
			'iconsmind-Hokey' => '\\ea5b',
			'iconsmind-Jump-Rope' => '\\ea5c',
			'iconsmind-Life-Jacket' => '\\ea5d',
			'iconsmind-Medal' => '\\ea5e',
			'iconsmind-Medal-2' => '\\ea5f',
			'iconsmind-Medal-3' => '\\ea60',
			'iconsmind-Parasailing' => '\\ea61',
			'iconsmind-Pilates' => '\\ea62',
			'iconsmind-Pilates-2' => '\\ea63',
			'iconsmind-Pilates-3' => '\\ea64',
			'iconsmind-Ping-Pong' => '\\ea65',
			'iconsmind-Rafting' => '\\ea66',
			'iconsmind-Running' => '\\ea67',
			'iconsmind-Running-Shoes' => '\\ea68',
			'iconsmind-Skate-Shoes' => '\\ea69',
			'iconsmind-Ski' => '\\ea6a',
			'iconsmind-Skydiving' => '\\ea6b',
			'iconsmind-Snorkel' => '\\ea6c',
			'iconsmind-Soccer-Ball' => '\\ea6d',
			'iconsmind-Soccer-Shoes' => '\\ea6e',
			'iconsmind-Swimming' => '\\ea6f',
			'iconsmind-Tennis' => '\\ea70',
			'iconsmind-Tennis-Ball' => '\\ea71',
			'iconsmind-Trekking' => '\\ea72',
			'iconsmind-Trophy' => '\\ea73',
			'iconsmind-Trophy-2' => '\\ea74',
			'iconsmind-Volleyball' => '\\ea75',
			'iconsmind-weight-Lift' => '\\ea76',
			'iconsmind-Speach-Bubble' => '\\ea77',
			'iconsmind-Speach-Bubble2' => '\\ea78',
			'iconsmind-Speach-Bubble3' => '\\ea79',
			'iconsmind-Speach-Bubble4' => '\\ea7a',
			'iconsmind-Speach-Bubble5' => '\\ea7b',
			'iconsmind-Speach-Bubble6' => '\\ea7c',
			'iconsmind-Speach-Bubble7' => '\\ea7d',
			'iconsmind-Speach-Bubble8' => '\\ea7e',
			'iconsmind-Speach-Bubble9' => '\\ea7f',
			'iconsmind-Speach-Bubble10' => '\\ea80',
			'iconsmind-Speach-Bubble11' => '\\ea81',
			'iconsmind-Speach-Bubble12' => '\\ea82',
			'iconsmind-Speach-Bubble13' => '\\ea83',
			'iconsmind-Speach-BubbleAsking' => '\\ea84',
			'iconsmind-Speach-BubbleComic' => '\\ea85',
			'iconsmind-Speach-BubbleComic2' => '\\ea86',
			'iconsmind-Speach-BubbleComic3' => '\\ea87',
			'iconsmind-Speach-BubbleComic4' => '\\ea88',
			'iconsmind-Speach-BubbleDialog' => '\\ea89',
			'iconsmind-Speach-Bubbles' => '\\ea8a',
			'iconsmind-Aim' => '\\ea8b',
			'iconsmind-Ask' => '\\ea8c',
			'iconsmind-Bebo' => '\\ea8d',
			'iconsmind-Behance' => '\\ea8e',
			'iconsmind-Betvibes' => '\\ea8f',
			'iconsmind-Bing' => '\\ea90',
			'iconsmind-Blinklist' => '\\ea91',
			'iconsmind-Blogger' => '\\ea92',
			'iconsmind-Brightkite' => '\\ea93',
			'iconsmind-Delicious' => '\\ea94',
			'iconsmind-Deviantart' => '\\ea95',
			'iconsmind-Digg' => '\\ea96',
			'iconsmind-Diigo' => '\\ea97',
			'iconsmind-Doplr' => '\\ea98',
			'iconsmind-Dribble' => '\\ea99',
			'iconsmind-Email' => '\\ea9a',
			'iconsmind-Evernote' => '\\ea9b',
			'iconsmind-Facebook' => '\\ea9c',
			'iconsmind-Facebook-2' => '\\ea9d',
			'iconsmind-Feedburner' => '\\ea9e',
			'iconsmind-Flickr' => '\\ea9f',
			'iconsmind-Formspring' => '\\eaa0',
			'iconsmind-Forsquare' => '\\eaa1',
			'iconsmind-Friendfeed' => '\\eaa2',
			'iconsmind-Friendster' => '\\eaa3',
			'iconsmind-Furl' => '\\eaa4',
			'iconsmind-Google' => '\\eaa5',
			'iconsmind-Google-Buzz' => '\\eaa6',
			'iconsmind-Google-Plus' => '\\eaa7',
			'iconsmind-Gowalla' => '\\eaa8',
			'iconsmind-ICQ' => '\\eaa9',
			'iconsmind-ImDB' => '\\eaaa',
			'iconsmind-Instagram' => '\\eaab',
			'iconsmind-Last-FM' => '\\eaac',
			'iconsmind-Like' => '\\eaad',
			'iconsmind-Like-2' => '\\eaae',
			'iconsmind-Linkedin' => '\\eaaf',
			'iconsmind-Linkedin-2' => '\\eab0',
			'iconsmind-Livejournal' => '\\eab1',
			'iconsmind-Metacafe' => '\\eab2',
			'iconsmind-Mixx' => '\\eab3',
			'iconsmind-Myspace' => '\\eab4',
			'iconsmind-Newsvine' => '\\eab5',
			'iconsmind-Orkut' => '\\eab6',
			'iconsmind-Picasa' => '\\eab7',
			'iconsmind-Pinterest' => '\\eab8',
			'iconsmind-Plaxo' => '\\eab9',
			'iconsmind-Plurk' => '\\eaba',
			'iconsmind-Posterous' => '\\eabb',
			'iconsmind-QIK' => '\\eabc',
			'iconsmind-Reddit' => '\\eabd',
			'iconsmind-Reverbnation' => '\\eabe',
			'iconsmind-RSS' => '\\eabf',
			'iconsmind-Sharethis' => '\\eac0',
			'iconsmind-Shoutwire' => '\\eac1',
			'iconsmind-Skype' => '\\eac2',
			'iconsmind-Soundcloud' => '\\eac3',
			'iconsmind-Spurl' => '\\eac4',
			'iconsmind-Stumbleupon' => '\\eac5',
			'iconsmind-Technorati' => '\\eac6',
			'iconsmind-Tumblr' => '\\eac7',
			'iconsmind-Twitter' => '\\eac8',
			'iconsmind-Twitter-2' => '\\eac9',
			'iconsmind-Unlike' => '\\eaca',
			'iconsmind-Unlike-2' => '\\eacb',
			'iconsmind-Ustream' => '\\eacc',
			'iconsmind-Viddler' => '\\eacd',
			'iconsmind-Vimeo' => '\\eace',
			'iconsmind-Wordpress' => '\\eacf',
			'iconsmind-Xanga' => '\\ead0',
			'iconsmind-Xing' => '\\ead1',
			'iconsmind-Yahoo' => '\\ead2',
			'iconsmind-Yahoo-Buzz' => '\\ead3',
			'iconsmind-Yelp' => '\\ead4',
			'iconsmind-Youtube' => '\\ead5',
			'iconsmind-Zootool' => '\\ead6',
			'iconsmind-Bisexual' => '\\ead7',
			'iconsmind-Cancer2' => '\\ead8',
			'iconsmind-Couple-Sign' => '\\ead9',
			'iconsmind-David-Star' => '\\eada',
			'iconsmind-Family-Sign' => '\\eadb',
			'iconsmind-Female-2' => '\\eadc',
			'iconsmind-Gey' => '\\eadd',
			'iconsmind-Heart' => '\\eade',
			'iconsmind-Homosexual' => '\\eadf',
			'iconsmind-Inifity' => '\\eae0',
			'iconsmind-Lesbian' => '\\eae1',
			'iconsmind-Lesbians' => '\\eae2',
			'iconsmind-Love' => '\\eae3',
			'iconsmind-Male-2' => '\\eae4',
			'iconsmind-Men' => '\\eae5',
			'iconsmind-No-Smoking' => '\\eae6',
			'iconsmind-Paw' => '\\eae7',
			'iconsmind-Quotes' => '\\eae8',
			'iconsmind-Quotes-2' => '\\eae9',
			'iconsmind-Redirect' => '\\eaea',
			'iconsmind-Retweet' => '\\eaeb',
			'iconsmind-Ribbon' => '\\eaec',
			'iconsmind-Ribbon-2' => '\\eaed',
			'iconsmind-Ribbon-3' => '\\eaee',
			'iconsmind-Sexual' => '\\eaef',
			'iconsmind-Smoking-Area' => '\\eaf0',
			'iconsmind-Trace' => '\\eaf1',
			'iconsmind-Venn-Diagram' => '\\eaf2',
			'iconsmind-Wheelchair' => '\\eaf3',
			'iconsmind-Women' => '\\eaf4',
			'iconsmind-Ying-Yang' => '\\eaf5',
			'iconsmind-Add-Bag' => '\\eaf6',
			'iconsmind-Add-Basket' => '\\eaf7',
			'iconsmind-Add-Cart' => '\\eaf8',
			'iconsmind-Bag-Coins' => '\\eaf9',
			'iconsmind-Bag-Items' => '\\eafa',
			'iconsmind-Bag-Quantity' => '\\eafb',
			'iconsmind-Bar-Code' => '\\eafc',
			'iconsmind-Basket-Coins' => '\\eafd',
			'iconsmind-Basket-Items' => '\\eafe',
			'iconsmind-Basket-Quantity' => '\\eaff',
			'iconsmind-Bitcoin' => '\\eb00',
			'iconsmind-Car-Coins' => '\\eb01',
			'iconsmind-Car-Items' => '\\eb02',
			'iconsmind-CartQuantity' => '\\eb03',
			'iconsmind-Cash-Register' => '\\eb04',
			'iconsmind-Cash-register2' => '\\eb05',
			'iconsmind-Checkout' => '\\eb06',
			'iconsmind-Checkout-Bag' => '\\eb07',
			'iconsmind-Checkout-Basket' => '\\eb08',
			'iconsmind-Full-Basket' => '\\eb09',
			'iconsmind-Full-Cart' => '\\eb0a',
			'iconsmind-Fyll-Bag' => '\\eb0b',
			'iconsmind-Home' => '\\eb0c',
			'iconsmind-Password-2shopping' => '\\eb0d',
			'iconsmind-Password-shopping' => '\\eb0e',
			'iconsmind-QR-Code' => '\\eb0f',
			'iconsmind-Receipt' => '\\eb10',
			'iconsmind-Receipt-2' => '\\eb11',
			'iconsmind-Receipt-3' => '\\eb12',
			'iconsmind-Receipt-4' => '\\eb13',
			'iconsmind-Remove-Bag' => '\\eb14',
			'iconsmind-Remove-Basket' => '\\eb15',
			'iconsmind-Remove-Cart' => '\\eb16',
			'iconsmind-Shop' => '\\eb17',
			'iconsmind-Shop-2' => '\\eb18',
			'iconsmind-Shop-3' => '\\eb19',
			'iconsmind-Shop-4' => '\\eb1a',
			'iconsmind-Shopping-Bag' => '\\eb1b',
			'iconsmind-Shopping-Basket' => '\\eb1c',
			'iconsmind-Shopping-Cart' => '\\eb1d',
			'iconsmind-Tag-2' => '\\eb1e',
			'iconsmind-Tag-3' => '\\eb1f',
			'iconsmind-Tag-4' => '\\eb20',
			'iconsmind-Tag-5' => '\\eb21',
			'iconsmind-This-SideUp' => '\\eb22',
			'iconsmind-Broke-Link2' => '\\eb23',
			'iconsmind-Coding' => '\\eb24',
			'iconsmind-Consulting' => '\\eb25',
			'iconsmind-Copyright' => '\\eb26',
			'iconsmind-Idea-2' => '\\eb27',
			'iconsmind-Idea-3' => '\\eb28',
			'iconsmind-Idea-4' => '\\eb29',
			'iconsmind-Idea-5' => '\\eb2a',
			'iconsmind-Internet' => '\\eb2b',
			'iconsmind-Internet-2' => '\\eb2c',
			'iconsmind-Link-2' => '\\eb2d',
			'iconsmind-Management' => '\\eb2e',
			'iconsmind-Monitor-Analytics' => '\\eb2f',
			'iconsmind-Monitoring' => '\\eb30',
			'iconsmind-Optimization' => '\\eb31',
			'iconsmind-Search-People' => '\\eb32',
			'iconsmind-Tag' => '\\eb33',
			'iconsmind-Target' => '\\eb34',
			'iconsmind-Target-Market' => '\\eb35',
			'iconsmind-Testimonal' => '\\eb36',
			'iconsmind-Computer-Secure' => '\\eb37',
			'iconsmind-Eye-Scan' => '\\eb38',
			'iconsmind-Finger-Print' => '\\eb39',
			'iconsmind-Firewall' => '\\eb3a',
			'iconsmind-Key-Lock' => '\\eb3b',
			'iconsmind-Laptop-Secure' => '\\eb3c',
			'iconsmind-Layer-1532' => '\\eb3d',
			'iconsmind-Lock' => '\\eb3e',
			'iconsmind-Lock-2' => '\\eb3f',
			'iconsmind-Lock-3' => '\\eb40',
			'iconsmind-Password' => '\\eb41',
			'iconsmind-Password-Field' => '\\eb42',
			'iconsmind-Police' => '\\eb43',
			'iconsmind-Safe-Box' => '\\eb44',
			'iconsmind-Security-Block' => '\\eb45',
			'iconsmind-Security-Bug' => '\\eb46',
			'iconsmind-Security-Camera' => '\\eb47',
			'iconsmind-Security-Check' => '\\eb48',
			'iconsmind-Security-Settings' => '\\eb49',
			'iconsmind-Securiy-Remove' => '\\eb4a',
			'iconsmind-Shield' => '\\eb4b',
			'iconsmind-Smartphone-Secure' => '\\eb4c',
			'iconsmind-SSL' => '\\eb4d',
			'iconsmind-Tablet-Secure' => '\\eb4e',
			'iconsmind-Type-Pass' => '\\eb4f',
			'iconsmind-Unlock' => '\\eb50',
			'iconsmind-Unlock-2' => '\\eb51',
			'iconsmind-Unlock-3' => '\\eb52',
			'iconsmind-Ambulance' => '\\eb53',
			'iconsmind-Astronaut' => '\\eb54',
			'iconsmind-Atom' => '\\eb55',
			'iconsmind-Bacteria' => '\\eb56',
			'iconsmind-Band-Aid' => '\\eb57',
			'iconsmind-Bio-Hazard' => '\\eb58',
			'iconsmind-Biotech' => '\\eb59',
			'iconsmind-Brain' => '\\eb5a',
			'iconsmind-Chemical' => '\\eb5b',
			'iconsmind-Chemical-2' => '\\eb5c',
			'iconsmind-Chemical-3' => '\\eb5d',
			'iconsmind-Chemical-4' => '\\eb5e',
			'iconsmind-Chemical-5' => '\\eb5f',
			'iconsmind-Clinic' => '\\eb60',
			'iconsmind-Cube-Molecule' => '\\eb61',
			'iconsmind-Cube-Molecule2' => '\\eb62',
			'iconsmind-Danger' => '\\eb63',
			'iconsmind-Danger-2' => '\\eb64',
			'iconsmind-DNA' => '\\eb65',
			'iconsmind-DNA-2' => '\\eb66',
			'iconsmind-DNA-Helix' => '\\eb67',
			'iconsmind-First-Aid' => '\\eb68',
			'iconsmind-Flask' => '\\eb69',
			'iconsmind-Flask-2' => '\\eb6a',
			'iconsmind-Helix-2' => '\\eb6b',
			'iconsmind-Hospital' => '\\eb6c',
			'iconsmind-Hurt' => '\\eb6d',
			'iconsmind-Medical-Sign' => '\\eb6e',
			'iconsmind-Medicine' => '\\eb6f',
			'iconsmind-Medicine-2' => '\\eb70',
			'iconsmind-Medicine-3' => '\\eb71',
			'iconsmind-Microscope' => '\\eb72',
			'iconsmind-Neutron' => '\\eb73',
			'iconsmind-Nuclear' => '\\eb74',
			'iconsmind-Physics' => '\\eb75',
			'iconsmind-Plasmid' => '\\eb76',
			'iconsmind-Plaster' => '\\eb77',
			'iconsmind-Pulse' => '\\eb78',
			'iconsmind-Radioactive' => '\\eb79',
			'iconsmind-Safety-PinClose' => '\\eb7a',
			'iconsmind-Safety-PinOpen' => '\\eb7b',
			'iconsmind-Spermium' => '\\eb7c',
			'iconsmind-Stethoscope' => '\\eb7d',
			'iconsmind-Temperature2' => '\\eb7e',
			'iconsmind-Test-Tube' => '\\eb7f',
			'iconsmind-Test-Tube2' => '\\eb80',
			'iconsmind-Virus' => '\\eb81',
			'iconsmind-Virus-2' => '\\eb82',
			'iconsmind-Virus-3' => '\\eb83',
			'iconsmind-X-ray' => '\\eb84',
			'iconsmind-Auto-Flash' => '\\eb85',
			'iconsmind-Camera' => '\\eb86',
			'iconsmind-Camera-2' => '\\eb87',
			'iconsmind-Camera-3' => '\\eb88',
			'iconsmind-Camera-4' => '\\eb89',
			'iconsmind-Camera-5' => '\\eb8a',
			'iconsmind-Camera-Back' => '\\eb8b',
			'iconsmind-Crop' => '\\eb8c',
			'iconsmind-Daylight' => '\\eb8d',
			'iconsmind-Edit' => '\\eb8e',
			'iconsmind-Eye' => '\\eb8f',
			'iconsmind-Film2' => '\\eb90',
			'iconsmind-Film-Cartridge' => '\\eb91',
			'iconsmind-Filter' => '\\eb92',
			'iconsmind-Flash' => '\\eb93',
			'iconsmind-Flash-2' => '\\eb94',
			'iconsmind-Fluorescent' => '\\eb95',
			'iconsmind-Gopro' => '\\eb96',
			'iconsmind-Landscape' => '\\eb97',
			'iconsmind-Len' => '\\eb98',
			'iconsmind-Len-2' => '\\eb99',
			'iconsmind-Len-3' => '\\eb9a',
			'iconsmind-Macro' => '\\eb9b',
			'iconsmind-Memory-Card' => '\\eb9c',
			'iconsmind-Memory-Card2' => '\\eb9d',
			'iconsmind-Memory-Card3' => '\\eb9e',
			'iconsmind-No-Flash' => '\\eb9f',
			'iconsmind-Panorama' => '\\eba0',
			'iconsmind-Photo' => '\\eba1',
			'iconsmind-Photo-2' => '\\eba2',
			'iconsmind-Photo-3' => '\\eba3',
			'iconsmind-Photo-Album' => '\\eba4',
			'iconsmind-Photo-Album2' => '\\eba5',
			'iconsmind-Photo-Album3' => '\\eba6',
			'iconsmind-Photos' => '\\eba7',
			'iconsmind-Portrait' => '\\eba8',
			'iconsmind-Retouching' => '\\eba9',
			'iconsmind-Retro-Camera' => '\\ebaa',
			'iconsmind-secound' => '\\ebab',
			'iconsmind-secound2' => '\\ebac',
			'iconsmind-Selfie' => '\\ebad',
			'iconsmind-Shutter' => '\\ebae',
			'iconsmind-Signal' => '\\ebaf',
			'iconsmind-Snow2' => '\\ebb0',
			'iconsmind-Sport-Mode' => '\\ebb1',
			'iconsmind-Studio-Flash' => '\\ebb2',
			'iconsmind-Studio-Lightbox' => '\\ebb3',
			'iconsmind-Timer2' => '\\ebb4',
			'iconsmind-Tripod-2' => '\\ebb5',
			'iconsmind-Tripod-withCamera' => '\\ebb6',
			'iconsmind-Tripod-withGopro' => '\\ebb7',
			'iconsmind-Add-User' => '\\ebb8',
			'iconsmind-Add-UserStar' => '\\ebb9',
			'iconsmind-Administrator' => '\\ebba',
			'iconsmind-Alien' => '\\ebbb',
			'iconsmind-Alien-2' => '\\ebbc',
			'iconsmind-Assistant' => '\\ebbd',
			'iconsmind-Baby' => '\\ebbe',
			'iconsmind-Baby-Cry' => '\\ebbf',
			'iconsmind-Boy' => '\\ebc0',
			'iconsmind-Business-Man' => '\\ebc1',
			'iconsmind-Business-ManWoman' => '\\ebc2',
			'iconsmind-Business-Mens' => '\\ebc3',
			'iconsmind-Business-Woman' => '\\ebc4',
			'iconsmind-Checked-User' => '\\ebc5',
			'iconsmind-Chef' => '\\ebc6',
			'iconsmind-Conference' => '\\ebc7',
			'iconsmind-Cool-Guy' => '\\ebc8',
			'iconsmind-Criminal' => '\\ebc9',
			'iconsmind-Dj' => '\\ebca',
			'iconsmind-Doctor' => '\\ebcb',
			'iconsmind-Engineering' => '\\ebcc',
			'iconsmind-Farmer' => '\\ebcd',
			'iconsmind-Female' => '\\ebce',
			'iconsmind-Female-22' => '\\ebcf',
			'iconsmind-Find-User' => '\\ebd0',
			'iconsmind-Geek' => '\\ebd1',
			'iconsmind-Genius' => '\\ebd2',
			'iconsmind-Girl' => '\\ebd3',
			'iconsmind-Headphone' => '\\ebd4',
			'iconsmind-Headset' => '\\ebd5',
			'iconsmind-ID-2' => '\\ebd6',
			'iconsmind-ID-3' => '\\ebd7',
			'iconsmind-ID-Card' => '\\ebd8',
			'iconsmind-King-2' => '\\ebd9',
			'iconsmind-Lock-User' => '\\ebda',
			'iconsmind-Love-User' => '\\ebdb',
			'iconsmind-Male' => '\\ebdc',
			'iconsmind-Male-22' => '\\ebdd',
			'iconsmind-MaleFemale' => '\\ebde',
			'iconsmind-Man-Sign' => '\\ebdf',
			'iconsmind-Mens' => '\\ebe0',
			'iconsmind-Network' => '\\ebe1',
			'iconsmind-Nurse' => '\\ebe2',
			'iconsmind-Pac-Man' => '\\ebe3',
			'iconsmind-Pilot' => '\\ebe4',
			'iconsmind-Police-Man' => '\\ebe5',
			'iconsmind-Police-Woman' => '\\ebe6',
			'iconsmind-Professor' => '\\ebe7',
			'iconsmind-Punker' => '\\ebe8',
			'iconsmind-Queen-2' => '\\ebe9',
			'iconsmind-Remove-User' => '\\ebea',
			'iconsmind-Robot' => '\\ebeb',
			'iconsmind-Speak' => '\\ebec',
			'iconsmind-Speak-2' => '\\ebed',
			'iconsmind-Spy' => '\\ebee',
			'iconsmind-Student-Female' => '\\ebef',
			'iconsmind-Student-Male' => '\\ebf0',
			'iconsmind-Student-MaleFemale' => '\\ebf1',
			'iconsmind-Students' => '\\ebf2',
			'iconsmind-Superman' => '\\ebf3',
			'iconsmind-Talk-Man' => '\\ebf4',
			'iconsmind-Teacher' => '\\ebf5',
			'iconsmind-Waiter' => '\\ebf6',
			'iconsmind-WomanMan' => '\\ebf7',
			'iconsmind-Woman-Sign' => '\\ebf8',
			'iconsmind-Wonder-Woman' => '\\ebf9',
			'iconsmind-Worker' => '\\ebfa',
			'iconsmind-Anchor' => '\\ebfb',
			'iconsmind-Army-Key' => '\\ebfc',
			'iconsmind-Balloon' => '\\ebfd',
			'iconsmind-Barricade' => '\\ebfe',
			'iconsmind-Batman-Mask' => '\\ebff',
			'iconsmind-Binocular' => '\\ec00',
			'iconsmind-Boom' => '\\ec01',
			'iconsmind-Bucket' => '\\ec02',
			'iconsmind-Button' => '\\ec03',
			'iconsmind-Cannon' => '\\ec04',
			'iconsmind-Chacked-Flag' => '\\ec05',
			'iconsmind-Chair' => '\\ec06',
			'iconsmind-Coffee-Machine' => '\\ec07',
			'iconsmind-Crown' => '\\ec08',
			'iconsmind-Crown-2' => '\\ec09',
			'iconsmind-Dice' => '\\ec0a',
			'iconsmind-Dice-2' => '\\ec0b',
			'iconsmind-Domino' => '\\ec0c',
			'iconsmind-Door-Hanger' => '\\ec0d',
			'iconsmind-Drill' => '\\ec0e',
			'iconsmind-Feather' => '\\ec0f',
			'iconsmind-Fire-Hydrant' => '\\ec10',
			'iconsmind-Flag' => '\\ec11',
			'iconsmind-Flag-2' => '\\ec12',
			'iconsmind-Flashlight' => '\\ec13',
			'iconsmind-Footprint2' => '\\ec14',
			'iconsmind-Gas-Pump' => '\\ec15',
			'iconsmind-Gift-Box' => '\\ec16',
			'iconsmind-Gun' => '\\ec17',
			'iconsmind-Gun-2' => '\\ec18',
			'iconsmind-Gun-3' => '\\ec19',
			'iconsmind-Hammer' => '\\ec1a',
			'iconsmind-Identification-Badge' => '\\ec1b',
			'iconsmind-Key' => '\\ec1c',
			'iconsmind-Key-2' => '\\ec1d',
			'iconsmind-Key-3' => '\\ec1e',
			'iconsmind-Lamp' => '\\ec1f',
			'iconsmind-Lego' => '\\ec20',
			'iconsmind-Life-Safer' => '\\ec21',
			'iconsmind-Light-Bulb' => '\\ec22',
			'iconsmind-Light-Bulb2' => '\\ec23',
			'iconsmind-Luggafe-Front' => '\\ec24',
			'iconsmind-Luggage-2' => '\\ec25',
			'iconsmind-Magic-Wand' => '\\ec26',
			'iconsmind-Magnet' => '\\ec27',
			'iconsmind-Mask' => '\\ec28',
			'iconsmind-Menorah' => '\\ec29',
			'iconsmind-Mirror' => '\\ec2a',
			'iconsmind-Movie-Ticket' => '\\ec2b',
			'iconsmind-Office-Lamp' => '\\ec2c',
			'iconsmind-Paint-Brush' => '\\ec2d',
			'iconsmind-Paint-Bucket' => '\\ec2e',
			'iconsmind-Paper-Plane' => '\\ec2f',
			'iconsmind-Post-Sign' => '\\ec30',
			'iconsmind-Post-Sign2ways' => '\\ec31',
			'iconsmind-Puzzle' => '\\ec32',
			'iconsmind-Razzor-Blade' => '\\ec33',
			'iconsmind-Scale' => '\\ec34',
			'iconsmind-Screwdriver' => '\\ec35',
			'iconsmind-Sewing-Machine' => '\\ec36',
			'iconsmind-Sheriff-Badge' => '\\ec37',
			'iconsmind-Stroller' => '\\ec38',
			'iconsmind-Suitcase' => '\\ec39',
			'iconsmind-Teddy-Bear' => '\\ec3a',
			'iconsmind-Telescope' => '\\ec3b',
			'iconsmind-Tent' => '\\ec3c',
			'iconsmind-Thread' => '\\ec3d',
			'iconsmind-Ticket' => '\\ec3e',
			'iconsmind-Time-Bomb' => '\\ec3f',
			'iconsmind-Tourch' => '\\ec40',
			'iconsmind-Vase' => '\\ec41',
			'iconsmind-Video-GameController' => '\\ec42',
			'iconsmind-Conservation' => '\\ec43',
			'iconsmind-Eci-Icon' => '\\ec44',
			'iconsmind-Environmental' => '\\ec45',
			'iconsmind-Environmental-2' => '\\ec46',
			'iconsmind-Environmental-3' => '\\ec47',
			'iconsmind-Fire-Flame' => '\\ec48',
			'iconsmind-Fire-Flame2' => '\\ec49',
			'iconsmind-Flowerpot' => '\\ec4a',
			'iconsmind-Forest' => '\\ec4b',
			'iconsmind-Green-Energy' => '\\ec4c',
			'iconsmind-Green-House' => '\\ec4d',
			'iconsmind-Landscape2' => '\\ec4e',
			'iconsmind-Leafs' => '\\ec4f',
			'iconsmind-Leafs-2' => '\\ec50',
			'iconsmind-Light-BulbLeaf' => '\\ec51',
			'iconsmind-Palm-Tree' => '\\ec52',
			'iconsmind-Plant' => '\\ec53',
			'iconsmind-Recycling' => '\\ec54',
			'iconsmind-Recycling-2' => '\\ec55',
			'iconsmind-Seed' => '\\ec56',
			'iconsmind-Trash-withMen' => '\\ec57',
			'iconsmind-Tree' => '\\ec58',
			'iconsmind-Tree-2' => '\\ec59',
			'iconsmind-Tree-3' => '\\ec5a',
			'iconsmind-Audio' => '\\ec5b',
			'iconsmind-Back-Music' => '\\ec5c',
			'iconsmind-Bell' => '\\ec5d',
			'iconsmind-Casette-Tape' => '\\ec5e',
			'iconsmind-CD-2' => '\\ec5f',
			'iconsmind-CD-Cover' => '\\ec60',
			'iconsmind-Cello' => '\\ec61',
			'iconsmind-Clef' => '\\ec62',
			'iconsmind-Drum' => '\\ec63',
			'iconsmind-Earphones' => '\\ec64',
			'iconsmind-Earphones-2' => '\\ec65',
			'iconsmind-Electric-Guitar' => '\\ec66',
			'iconsmind-Equalizer' => '\\ec67',
			'iconsmind-First' => '\\ec68',
			'iconsmind-Guitar' => '\\ec69',
			'iconsmind-Headphones' => '\\ec6a',
			'iconsmind-Keyboard3' => '\\ec6b',
			'iconsmind-Last' => '\\ec6c',
			'iconsmind-Loud' => '\\ec6d',
			'iconsmind-Loudspeaker' => '\\ec6e',
			'iconsmind-Mic' => '\\ec6f',
			'iconsmind-Microphone' => '\\ec70',
			'iconsmind-Microphone-2' => '\\ec71',
			'iconsmind-Microphone-3' => '\\ec72',
			'iconsmind-Microphone-4' => '\\ec73',
			'iconsmind-Microphone-5' => '\\ec74',
			'iconsmind-Microphone-6' => '\\ec75',
			'iconsmind-Microphone-7' => '\\ec76',
			'iconsmind-Mixer' => '\\ec77',
			'iconsmind-Mp3-File' => '\\ec78',
			'iconsmind-Music-Note' => '\\ec79',
			'iconsmind-Music-Note2' => '\\ec7a',
			'iconsmind-Music-Note3' => '\\ec7b',
			'iconsmind-Music-Note4' => '\\ec7c',
			'iconsmind-Music-Player' => '\\ec7d',
			'iconsmind-Mute' => '\\ec7e',
			'iconsmind-Next-Music' => '\\ec7f',
			'iconsmind-Old-Radio' => '\\ec80',
			'iconsmind-On-Air' => '\\ec81',
			'iconsmind-Piano' => '\\ec82',
			'iconsmind-Play-Music' => '\\ec83',
			'iconsmind-Radio' => '\\ec84',
			'iconsmind-Record' => '\\ec85',
			'iconsmind-Record-Music' => '\\ec86',
			'iconsmind-Rock-andRoll' => '\\ec87',
			'iconsmind-Saxophone' => '\\ec88',
			'iconsmind-Sound' => '\\ec89',
			'iconsmind-Sound-Wave' => '\\ec8a',
			'iconsmind-Speaker' => '\\ec8b',
			'iconsmind-Stop-Music' => '\\ec8c',
			'iconsmind-Trumpet' => '\\ec8d',
			'iconsmind-Voice' => '\\ec8e',
			'iconsmind-Volume-Down' => '\\ec8f',
			'iconsmind-Volume-Up' => '\\ec90',
			'iconsmind-Back' => '\\ec91',
			'iconsmind-Back-2' => '\\ec92',
			'iconsmind-Eject' => '\\ec93',
			'iconsmind-Eject-2' => '\\ec94',
			'iconsmind-End' => '\\ec95',
			'iconsmind-End-2' => '\\ec96',
			'iconsmind-Next' => '\\ec97',
			'iconsmind-Next-2' => '\\ec98',
			'iconsmind-Pause' => '\\ec99',
			'iconsmind-Pause-2' => '\\ec9a',
			'iconsmind-Power-2' => '\\ec9b',
			'iconsmind-Power-3' => '\\ec9c',
			'iconsmind-Record2' => '\\ec9d',
			'iconsmind-Record-2' => '\\ec9e',
			'iconsmind-Repeat' => '\\ec9f',
			'iconsmind-Repeat-2' => '\\eca0',
			'iconsmind-Shuffle' => '\\eca1',
			'iconsmind-Shuffle-2' => '\\eca2',
			'iconsmind-Start' => '\\eca3',
			'iconsmind-Start-2' => '\\eca4',
			'iconsmind-Stop' => '\\eca5',
			'iconsmind-Stop-2' => '\\eca6',
			'iconsmind-Compass' => '\\eca7',
			'iconsmind-Compass-2' => '\\eca8',
			'iconsmind-Compass-Rose' => '\\eca9',
			'iconsmind-Direction-East' => '\\ecaa',
			'iconsmind-Direction-North' => '\\ecab',
			'iconsmind-Direction-South' => '\\ecac',
			'iconsmind-Direction-West' => '\\ecad',
			'iconsmind-Edit-Map' => '\\ecae',
			'iconsmind-Geo' => '\\ecaf',
			'iconsmind-Geo2' => '\\ecb0',
			'iconsmind-Geo3' => '\\ecb1',
			'iconsmind-Geo22' => '\\ecb2',
			'iconsmind-Geo23' => '\\ecb3',
			'iconsmind-Geo24' => '\\ecb4',
			'iconsmind-Geo2-Close' => '\\ecb5',
			'iconsmind-Geo2-Love' => '\\ecb6',
			'iconsmind-Geo2-Number' => '\\ecb7',
			'iconsmind-Geo2-Star' => '\\ecb8',
			'iconsmind-Geo32' => '\\ecb9',
			'iconsmind-Geo33' => '\\ecba',
			'iconsmind-Geo34' => '\\ecbb',
			'iconsmind-Geo3-Close' => '\\ecbc',
			'iconsmind-Geo3-Love' => '\\ecbd',
			'iconsmind-Geo3-Number' => '\\ecbe',
			'iconsmind-Geo3-Star' => '\\ecbf',
			'iconsmind-Geo-Close' => '\\ecc0',
			'iconsmind-Geo-Love' => '\\ecc1',
			'iconsmind-Geo-Number' => '\\ecc2',
			'iconsmind-Geo-Star' => '\\ecc3',
			'iconsmind-Global-Position' => '\\ecc4',
			'iconsmind-Globe' => '\\ecc5',
			'iconsmind-Globe-2' => '\\ecc6',
			'iconsmind-Location' => '\\ecc7',
			'iconsmind-Location-2' => '\\ecc8',
			'iconsmind-Map' => '\\ecc9',
			'iconsmind-Map2' => '\\ecca',
			'iconsmind-Map-Marker' => '\\eccb',
			'iconsmind-Map-Marker2' => '\\eccc',
			'iconsmind-Map-Marker3' => '\\eccd',
			'iconsmind-Road2' => '\\ecce',
			'iconsmind-Satelite' => '\\eccf',
			'iconsmind-Satelite-2' => '\\ecd0',
			'iconsmind-Street-View' => '\\ecd1',
			'iconsmind-Street-View2' => '\\ecd2',
			'iconsmind-Android-Store' => '\\ecd3',
			'iconsmind-Apple-Store' => '\\ecd4',
			'iconsmind-Box2' => '\\ecd5',
			'iconsmind-Dropbox' => '\\ecd6',
			'iconsmind-Google-Drive' => '\\ecd7',
			'iconsmind-Google-Play' => '\\ecd8',
			'iconsmind-Paypal' => '\\ecd9',
			'iconsmind-Skrill' => '\\ecda',
			'iconsmind-X-Box' => '\\ecdb',
			'iconsmind-Add' => '\\ecdc',
			'iconsmind-Back2' => '\\ecdd',
			'iconsmind-Broken-Link' => '\\ecde',
			'iconsmind-Check' => '\\ecdf',
			'iconsmind-Check-2' => '\\ece0',
			'iconsmind-Circular-Point' => '\\ece1',
			'iconsmind-Close' => '\\ece2',
			'iconsmind-Cursor' => '\\ece3',
			'iconsmind-Cursor-Click' => '\\ece4',
			'iconsmind-Cursor-Click2' => '\\ece5',
			'iconsmind-Cursor-Move' => '\\ece6',
			'iconsmind-Cursor-Move2' => '\\ece7',
			'iconsmind-Cursor-Select' => '\\ece8',
			'iconsmind-Down' => '\\ece9',
			'iconsmind-Download' => '\\ecea',
			'iconsmind-Downward' => '\\eceb',
			'iconsmind-Endways' => '\\ecec',
			'iconsmind-Forward' => '\\eced',
			'iconsmind-Left' => '\\ecee',
			'iconsmind-Link' => '\\ecef',
			'iconsmind-Next2' => '\\ecf0',
			'iconsmind-Orientation' => '\\ecf1',
			'iconsmind-Pointer' => '\\ecf2',
			'iconsmind-Previous' => '\\ecf3',
			'iconsmind-Redo' => '\\ecf4',
			'iconsmind-Refresh' => '\\ecf5',
			'iconsmind-Reload' => '\\ecf6',
			'iconsmind-Remove' => '\\ecf7',
			'iconsmind-Repeat2' => '\\ecf8',
			'iconsmind-Reset' => '\\ecf9',
			'iconsmind-Rewind' => '\\ecfa',
			'iconsmind-Right' => '\\ecfb',
			'iconsmind-Rotation' => '\\ecfc',
			'iconsmind-Rotation-390' => '\\ecfd',
			'iconsmind-Spot' => '\\ecfe',
			'iconsmind-Start-ways' => '\\ecff',
			'iconsmind-Synchronize' => '\\ed00',
			'iconsmind-Synchronize-2' => '\\ed01',
			'iconsmind-Undo' => '\\ed02',
			'iconsmind-Up' => '\\ed03',
			'iconsmind-Upload' => '\\ed04',
			'iconsmind-Upward' => '\\ed05',
			'iconsmind-Yes' => '\\ed06',
			'iconsmind-Barricade2' => '\\ed07',
			'iconsmind-Crane' => '\\ed08',
			'iconsmind-Dam' => '\\ed09',
			'iconsmind-Drill2' => '\\ed0a',
			'iconsmind-Electricity' => '\\ed0b',
			'iconsmind-Explode' => '\\ed0c',
			'iconsmind-Factory' => '\\ed0d',
			'iconsmind-Fuel' => '\\ed0e',
			'iconsmind-Helmet2' => '\\ed0f',
			'iconsmind-Helmet-2' => '\\ed10',
			'iconsmind-Laser' => '\\ed11',
			'iconsmind-Mine' => '\\ed12',
			'iconsmind-Oil' => '\\ed13',
			'iconsmind-Petrol' => '\\ed14',
			'iconsmind-Pipe' => '\\ed15',
			'iconsmind-Power-Station' => '\\ed16',
			'iconsmind-Refinery' => '\\ed17',
			'iconsmind-Saw' => '\\ed18',
			'iconsmind-Shovel' => '\\ed19',
			'iconsmind-Solar' => '\\ed1a',
			'iconsmind-Wheelbarrow' => '\\ed1b',
			'iconsmind-Windmill' => '\\ed1c',
			'iconsmind-Aa' => '\\ed1d',
			'iconsmind-Add-File' => '\\ed1e',
			'iconsmind-Address-Book' => '\\ed1f',
			'iconsmind-Address-Book2' => '\\ed20',
			'iconsmind-Add-SpaceAfterParagraph' => '\\ed21',
			'iconsmind-Add-SpaceBeforeParagraph' => '\\ed22',
			'iconsmind-Airbrush' => '\\ed23',
			'iconsmind-Aligator' => '\\ed24',
			'iconsmind-Align-Center' => '\\ed25',
			'iconsmind-Align-JustifyAll' => '\\ed26',
			'iconsmind-Align-JustifyCenter' => '\\ed27',
			'iconsmind-Align-JustifyLeft' => '\\ed28',
			'iconsmind-Align-JustifyRight' => '\\ed29',
			'iconsmind-Align-Left' => '\\ed2a',
			'iconsmind-Align-Right' => '\\ed2b',
			'iconsmind-Alpha' => '\\ed2c',
			'iconsmind-AMX' => '\\ed2d',
			'iconsmind-Anchor2' => '\\ed2e',
			'iconsmind-Android' => '\\ed2f',
			'iconsmind-Angel' => '\\ed30',
			'iconsmind-Angel-Smiley' => '\\ed31',
			'iconsmind-Angry' => '\\ed32',
			'iconsmind-Apple' => '\\ed33',
			'iconsmind-Apple-Bite' => '\\ed34',
			'iconsmind-Argentina' => '\\ed35',
			'iconsmind-Arrow-Around' => '\\ed36',
			'iconsmind-Arrow-Back' => '\\ed37',
			'iconsmind-Arrow-Back2' => '\\ed38',
			'iconsmind-Arrow-Back3' => '\\ed39',
			'iconsmind-Arrow-Barrier' => '\\ed3a',
			'iconsmind-Arrow-Circle' => '\\ed3b',
			'iconsmind-Arrow-Cross' => '\\ed3c',
			'iconsmind-Arrow-Down' => '\\ed3d',
			'iconsmind-Arrow-Down2' => '\\ed3e',
			'iconsmind-Arrow-Down3' => '\\ed3f',
			'iconsmind-Arrow-DowninCircle' => '\\ed40',
			'iconsmind-Arrow-Fork' => '\\ed41',
			'iconsmind-Arrow-Forward' => '\\ed42',
			'iconsmind-Arrow-Forward2' => '\\ed43',
			'iconsmind-Arrow-From' => '\\ed44',
			'iconsmind-Arrow-Inside' => '\\ed45',
			'iconsmind-Arrow-Inside45' => '\\ed46',
			'iconsmind-Arrow-InsideGap' => '\\ed47',
			'iconsmind-Arrow-InsideGap45' => '\\ed48',
			'iconsmind-Arrow-Into' => '\\ed49',
			'iconsmind-Arrow-Join' => '\\ed4a',
			'iconsmind-Arrow-Junction' => '\\ed4b',
			'iconsmind-Arrow-Left' => '\\ed4c',
			'iconsmind-Arrow-Left2' => '\\ed4d',
			'iconsmind-Arrow-LeftinCircle' => '\\ed4e',
			'iconsmind-Arrow-Loop' => '\\ed4f',
			'iconsmind-Arrow-Merge' => '\\ed50',
			'iconsmind-Arrow-Mix' => '\\ed51',
			'iconsmind-Arrow-Next' => '\\ed52',
			'iconsmind-Arrow-OutLeft' => '\\ed53',
			'iconsmind-Arrow-OutRight' => '\\ed54',
			'iconsmind-Arrow-Outside' => '\\ed55',
			'iconsmind-Arrow-Outside45' => '\\ed56',
			'iconsmind-Arrow-OutsideGap' => '\\ed57',
			'iconsmind-Arrow-OutsideGap45' => '\\ed58',
			'iconsmind-Arrow-Over' => '\\ed59',
			'iconsmind-Arrow-Refresh' => '\\ed5a',
			'iconsmind-Arrow-Refresh2' => '\\ed5b',
			'iconsmind-Arrow-Right' => '\\ed5c',
			'iconsmind-Arrow-Right2' => '\\ed5d',
			'iconsmind-Arrow-RightinCircle' => '\\ed5e',
			'iconsmind-Arrow-Shuffle' => '\\ed5f',
			'iconsmind-Arrow-Squiggly' => '\\ed60',
			'iconsmind-Arrow-Through' => '\\ed61',
			'iconsmind-Arrow-To' => '\\ed62',
			'iconsmind-Arrow-TurnLeft' => '\\ed63',
			'iconsmind-Arrow-TurnRight' => '\\ed64',
			'iconsmind-Arrow-Up' => '\\ed65',
			'iconsmind-Arrow-Up2' => '\\ed66',
			'iconsmind-Arrow-Up3' => '\\ed67',
			'iconsmind-Arrow-UpinCircle' => '\\ed68',
			'iconsmind-Arrow-XLeft' => '\\ed69',
			'iconsmind-Arrow-XRight' => '\\ed6a',
			'iconsmind-ATM' => '\\ed6b',
			'iconsmind-At-Sign' => '\\ed6c',
			'iconsmind-Baby-Clothes' => '\\ed6d',
			'iconsmind-Baby-Clothes2' => '\\ed6e',
			'iconsmind-Bag' => '\\ed6f',
			'iconsmind-Bakelite' => '\\ed70',
			'iconsmind-Banana' => '\\ed71',
			'iconsmind-Bank' => '\\ed72',
			'iconsmind-Bar-Chart' => '\\ed73',
			'iconsmind-Bar-Chart2' => '\\ed74',
			'iconsmind-Bar-Chart3' => '\\ed75',
			'iconsmind-Bar-Chart4' => '\\ed76',
			'iconsmind-Bar-Chart5' => '\\ed77',
			'iconsmind-Bat' => '\\ed78',
			'iconsmind-Bathrobe' => '\\ed79',
			'iconsmind-Battery-0' => '\\ed7a',
			'iconsmind-Battery-25' => '\\ed7b',
			'iconsmind-Battery-50' => '\\ed7c',
			'iconsmind-Battery-75' => '\\ed7d',
			'iconsmind-Battery-100' => '\\ed7e',
			'iconsmind-Battery-Charge' => '\\ed7f',
			'iconsmind-Bear' => '\\ed80',
			'iconsmind-Beard' => '\\ed81',
			'iconsmind-Beard-2' => '\\ed82',
			'iconsmind-Beard-3' => '\\ed83',
			'iconsmind-Bee' => '\\ed84',
			'iconsmind-Beer' => '\\ed85',
			'iconsmind-Beer-Glass' => '\\ed86',
			'iconsmind-Bell2' => '\\ed87',
			'iconsmind-Belt' => '\\ed88',
			'iconsmind-Belt-2' => '\\ed89',
			'iconsmind-Belt-3' => '\\ed8a',
			'iconsmind-Berlin-Tower' => '\\ed8b',
			'iconsmind-Beta' => '\\ed8c',
			'iconsmind-Big-Bang' => '\\ed8d',
			'iconsmind-Big-Data' => '\\ed8e',
			'iconsmind-Bikini' => '\\ed8f',
			'iconsmind-Bilk-Bottle2' => '\\ed90',
			'iconsmind-Bird' => '\\ed91',
			'iconsmind-Bird-DeliveringLetter' => '\\ed92',
			'iconsmind-Birthday-Cake' => '\\ed93',
			'iconsmind-Bishop' => '\\ed94',
			'iconsmind-Blackboard' => '\\ed95',
			'iconsmind-Black-Cat' => '\\ed96',
			'iconsmind-Block-Cloud' => '\\ed97',
			'iconsmind-Blood' => '\\ed98',
			'iconsmind-Blouse' => '\\ed99',
			'iconsmind-Blueprint' => '\\ed9a',
			'iconsmind-Board' => '\\ed9b',
			'iconsmind-Bone' => '\\ed9c',
			'iconsmind-Bones' => '\\ed9d',
			'iconsmind-Book' => '\\ed9e',
			'iconsmind-Bookmark' => '\\ed9f',
			'iconsmind-Books' => '\\eda0',
			'iconsmind-Books-2' => '\\eda1',
			'iconsmind-Boot' => '\\eda2',
			'iconsmind-Boot-2' => '\\eda3',
			'iconsmind-Bottom-ToTop' => '\\eda4',
			'iconsmind-Bow' => '\\eda5',
			'iconsmind-Bow-2' => '\\eda6',
			'iconsmind-Bow-3' => '\\eda7',
			'iconsmind-Box-Close' => '\\eda8',
			'iconsmind-Box-Full' => '\\eda9',
			'iconsmind-Box-Open' => '\\edaa',
			'iconsmind-Box-withFolders' => '\\edab',
			'iconsmind-Bra' => '\\edac',
			'iconsmind-Brain2' => '\\edad',
			'iconsmind-Brain-2' => '\\edae',
			'iconsmind-Brazil' => '\\edaf',
			'iconsmind-Bread' => '\\edb0',
			'iconsmind-Bread-2' => '\\edb1',
			'iconsmind-Bridge' => '\\edb2',
			'iconsmind-Broom' => '\\edb3',
			'iconsmind-Brush' => '\\edb4',
			'iconsmind-Bug' => '\\edb5',
			'iconsmind-Building' => '\\edb6',
			'iconsmind-Butterfly' => '\\edb7',
			'iconsmind-Cake' => '\\edb8',
			'iconsmind-Calculator' => '\\edb9',
			'iconsmind-Calculator-2' => '\\edba',
			'iconsmind-Calculator-3' => '\\edbb',
			'iconsmind-Calendar' => '\\edbc',
			'iconsmind-Calendar-2' => '\\edbd',
			'iconsmind-Calendar-3' => '\\edbe',
			'iconsmind-Calendar-4' => '\\edbf',
			'iconsmind-Camel' => '\\edc0',
			'iconsmind-Can' => '\\edc1',
			'iconsmind-Can-2' => '\\edc2',
			'iconsmind-Canada' => '\\edc3',
			'iconsmind-Candle' => '\\edc4',
			'iconsmind-Candy' => '\\edc5',
			'iconsmind-Candy-Cane' => '\\edc6',
			'iconsmind-Cap' => '\\edc7',
			'iconsmind-Cap-2' => '\\edc8',
			'iconsmind-Cap-3' => '\\edc9',
			'iconsmind-Cardigan' => '\\edca',
			'iconsmind-Cardiovascular' => '\\edcb',
			'iconsmind-Castle' => '\\edcc',
			'iconsmind-Cat' => '\\edcd',
			'iconsmind-Cathedral' => '\\edce',
			'iconsmind-Cauldron' => '\\edcf',
			'iconsmind-CD' => '\\edd0',
			'iconsmind-Charger' => '\\edd1',
			'iconsmind-Checkmate' => '\\edd2',
			'iconsmind-Cheese' => '\\edd3',
			'iconsmind-Cheetah' => '\\edd4',
			'iconsmind-Chef-Hat' => '\\edd5',
			'iconsmind-Chef-Hat2' => '\\edd6',
			'iconsmind-Chess-Board' => '\\edd7',
			'iconsmind-Chicken' => '\\edd8',
			'iconsmind-Chile' => '\\edd9',
			'iconsmind-Chimney' => '\\edda',
			'iconsmind-China' => '\\eddb',
			'iconsmind-Chinese-Temple' => '\\eddc',
			'iconsmind-Chip' => '\\eddd',
			'iconsmind-Chopsticks' => '\\edde',
			'iconsmind-Chopsticks-2' => '\\eddf',
			'iconsmind-Christmas' => '\\ede0',
			'iconsmind-Christmas-Ball' => '\\ede1',
			'iconsmind-Christmas-Bell' => '\\ede2',
			'iconsmind-Christmas-Candle' => '\\ede3',
			'iconsmind-Christmas-Hat' => '\\ede4',
			'iconsmind-Christmas-Sleigh' => '\\ede5',
			'iconsmind-Christmas-Snowman' => '\\ede6',
			'iconsmind-Christmas-Sock' => '\\ede7',
			'iconsmind-Christmas-Tree' => '\\ede8',
			'iconsmind-Chrome' => '\\ede9',
			'iconsmind-Chrysler-Building' => '\\edea',
			'iconsmind-City-Hall' => '\\edeb',
			'iconsmind-Clamp' => '\\edec',
			'iconsmind-Claps' => '\\eded',
			'iconsmind-Clothing-Store' => '\\edee',
			'iconsmind-Cloud' => '\\edef',
			'iconsmind-Cloud2' => '\\edf0',
			'iconsmind-Cloud3' => '\\edf1',
			'iconsmind-Cloud-Camera' => '\\edf2',
			'iconsmind-Cloud-Computer' => '\\edf3',
			'iconsmind-Cloud-Email' => '\\edf4',
			'iconsmind-Cloud-Laptop' => '\\edf5',
			'iconsmind-Cloud-Lock' => '\\edf6',
			'iconsmind-Cloud-Music' => '\\edf7',
			'iconsmind-Cloud-Picture' => '\\edf8',
			'iconsmind-Cloud-Remove' => '\\edf9',
			'iconsmind-Clouds' => '\\edfa',
			'iconsmind-Cloud-Secure' => '\\edfb',
			'iconsmind-Cloud-Settings' => '\\edfc',
			'iconsmind-Cloud-Smartphone' => '\\edfd',
			'iconsmind-Cloud-Tablet' => '\\edfe',
			'iconsmind-Cloud-Video' => '\\edff',
			'iconsmind-Clown' => '\\ee00',
			'iconsmind-CMYK' => '\\ee01',
			'iconsmind-Coat' => '\\ee02',
			'iconsmind-Cocktail' => '\\ee03',
			'iconsmind-Coconut' => '\\ee04',
			'iconsmind-Coffee' => '\\ee05',
			'iconsmind-Coffee-2' => '\\ee06',
			'iconsmind-Coffee-Bean' => '\\ee07',
			'iconsmind-Coffee-toGo' => '\\ee08',
			'iconsmind-Coffin' => '\\ee09',
			'iconsmind-Coin' => '\\ee0a',
			'iconsmind-Coins' => '\\ee0b',
			'iconsmind-Coins-2' => '\\ee0c',
			'iconsmind-Coins-3' => '\\ee0d',
			'iconsmind-Colombia' => '\\ee0e',
			'iconsmind-Colosseum' => '\\ee0f',
			'iconsmind-Column' => '\\ee10',
			'iconsmind-Column-2' => '\\ee11',
			'iconsmind-Column-3' => '\\ee12',
			'iconsmind-Comb' => '\\ee13',
			'iconsmind-Comb-2' => '\\ee14',
			'iconsmind-Communication-Tower' => '\\ee15',
			'iconsmind-Communication-Tower2' => '\\ee16',
			'iconsmind-Compass2' => '\\ee17',
			'iconsmind-Compass-22' => '\\ee18',
			'iconsmind-Computer' => '\\ee19',
			'iconsmind-Computer-2' => '\\ee1a',
			'iconsmind-Computer-3' => '\\ee1b',
			'iconsmind-Confused' => '\\ee1c',
			'iconsmind-Contrast' => '\\ee1d',
			'iconsmind-Cookie-Man' => '\\ee1e',
			'iconsmind-Cookies' => '\\ee1f',
			'iconsmind-Cool' => '\\ee20',
			'iconsmind-Costume' => '\\ee21',
			'iconsmind-Cow' => '\\ee22',
			'iconsmind-CPU' => '\\ee23',
			'iconsmind-Cranium' => '\\ee24',
			'iconsmind-Credit-Card' => '\\ee25',
			'iconsmind-Credit-Card2' => '\\ee26',
			'iconsmind-Credit-Card3' => '\\ee27',
			'iconsmind-Croissant' => '\\ee28',
			'iconsmind-Crying' => '\\ee29',
			'iconsmind-Cupcake' => '\\ee2a',
			'iconsmind-Danemark' => '\\ee2b',
			'iconsmind-Data' => '\\ee2c',
			'iconsmind-Data-Backup' => '\\ee2d',
			'iconsmind-Data-Block' => '\\ee2e',
			'iconsmind-Data-Center' => '\\ee2f',
			'iconsmind-Data-Clock' => '\\ee30',
			'iconsmind-Data-Cloud' => '\\ee31',
			'iconsmind-Data-Compress' => '\\ee32',
			'iconsmind-Data-Copy' => '\\ee33',
			'iconsmind-Data-Download' => '\\ee34',
			'iconsmind-Data-Financial' => '\\ee35',
			'iconsmind-Data-Key' => '\\ee36',
			'iconsmind-Data-Lock' => '\\ee37',
			'iconsmind-Data-Network' => '\\ee38',
			'iconsmind-Data-Password' => '\\ee39',
			'iconsmind-Data-Power' => '\\ee3a',
			'iconsmind-Data-Refresh' => '\\ee3b',
			'iconsmind-Data-Save' => '\\ee3c',
			'iconsmind-Data-Search' => '\\ee3d',
			'iconsmind-Data-Security' => '\\ee3e',
			'iconsmind-Data-Settings' => '\\ee3f',
			'iconsmind-Data-Sharing' => '\\ee40',
			'iconsmind-Data-Shield' => '\\ee41',
			'iconsmind-Data-Signal' => '\\ee42',
			'iconsmind-Data-Storage' => '\\ee43',
			'iconsmind-Data-Stream' => '\\ee44',
			'iconsmind-Data-Transfer' => '\\ee45',
			'iconsmind-Data-Unlock' => '\\ee46',
			'iconsmind-Data-Upload' => '\\ee47',
			'iconsmind-Data-Yes' => '\\ee48',
			'iconsmind-Death' => '\\ee49',
			'iconsmind-Debian' => '\\ee4a',
			'iconsmind-Dec' => '\\ee4b',
			'iconsmind-Decrase-Inedit' => '\\ee4c',
			'iconsmind-Deer' => '\\ee4d',
			'iconsmind-Deer-2' => '\\ee4e',
			'iconsmind-Delete-File' => '\\ee4f',
			'iconsmind-Depression' => '\\ee50',
			'iconsmind-Device-SyncwithCloud' => '\\ee51',
			'iconsmind-Diamond' => '\\ee52',
			'iconsmind-Digital-Drawing' => '\\ee53',
			'iconsmind-Dinosaur' => '\\ee54',
			'iconsmind-Diploma' => '\\ee55',
			'iconsmind-Diploma-2' => '\\ee56',
			'iconsmind-Disk' => '\\ee57',
			'iconsmind-Dog' => '\\ee58',
			'iconsmind-Dollar' => '\\ee59',
			'iconsmind-Dollar-Sign' => '\\ee5a',
			'iconsmind-Dollar-Sign2' => '\\ee5b',
			'iconsmind-Dolphin' => '\\ee5c',
			'iconsmind-Door' => '\\ee5d',
			'iconsmind-Double-Circle' => '\\ee5e',
			'iconsmind-Doughnut' => '\\ee5f',
			'iconsmind-Dove' => '\\ee60',
			'iconsmind-Down2' => '\\ee61',
			'iconsmind-Down-2' => '\\ee62',
			'iconsmind-Down-3' => '\\ee63',
			'iconsmind-Download2' => '\\ee64',
			'iconsmind-Download-fromCloud' => '\\ee65',
			'iconsmind-Dress' => '\\ee66',
			'iconsmind-Duck' => '\\ee67',
			'iconsmind-DVD' => '\\ee68',
			'iconsmind-Eagle' => '\\ee69',
			'iconsmind-Ear' => '\\ee6a',
			'iconsmind-Eggs' => '\\ee6b',
			'iconsmind-Egypt' => '\\ee6c',
			'iconsmind-Eifel-Tower' => '\\ee6d',
			'iconsmind-Elbow' => '\\ee6e',
			'iconsmind-El-Castillo' => '\\ee6f',
			'iconsmind-Elephant' => '\\ee70',
			'iconsmind-Embassy' => '\\ee71',
			'iconsmind-Empire-StateBuilding' => '\\ee72',
			'iconsmind-Empty-Box' => '\\ee73',
			'iconsmind-End2' => '\\ee74',
			'iconsmind-Envelope' => '\\ee75',
			'iconsmind-Envelope-2' => '\\ee76',
			'iconsmind-Eraser' => '\\ee77',
			'iconsmind-Eraser-2' => '\\ee78',
			'iconsmind-Eraser-3' => '\\ee79',
			'iconsmind-Euro' => '\\ee7a',
			'iconsmind-Euro-Sign' => '\\ee7b',
			'iconsmind-Euro-Sign2' => '\\ee7c',
			'iconsmind-Evil' => '\\ee7d',
			'iconsmind-Eye2' => '\\ee7e',
			'iconsmind-Eye-Blind' => '\\ee7f',
			'iconsmind-Eyebrow' => '\\ee80',
			'iconsmind-Eyebrow-2' => '\\ee81',
			'iconsmind-Eyebrow-3' => '\\ee82',
			'iconsmind-Eyeglasses-Smiley' => '\\ee83',
			'iconsmind-Eyeglasses-Smiley2' => '\\ee84',
			'iconsmind-Eye-Invisible' => '\\ee85',
			'iconsmind-Eye-Visible' => '\\ee86',
			'iconsmind-Face-Style' => '\\ee87',
			'iconsmind-Face-Style2' => '\\ee88',
			'iconsmind-Face-Style3' => '\\ee89',
			'iconsmind-Face-Style4' => '\\ee8a',
			'iconsmind-Face-Style5' => '\\ee8b',
			'iconsmind-Face-Style6' => '\\ee8c',
			'iconsmind-Factory2' => '\\ee8d',
			'iconsmind-Fan' => '\\ee8e',
			'iconsmind-Fashion' => '\\ee8f',
			'iconsmind-Fax' => '\\ee90',
			'iconsmind-File' => '\\ee91',
			'iconsmind-File-Block' => '\\ee92',
			'iconsmind-File-Bookmark' => '\\ee93',
			'iconsmind-File-Chart' => '\\ee94',
			'iconsmind-File-Clipboard' => '\\ee95',
			'iconsmind-File-ClipboardFileText' => '\\ee96',
			'iconsmind-File-ClipboardTextImage' => '\\ee97',
			'iconsmind-File-Cloud' => '\\ee98',
			'iconsmind-File-Copy' => '\\ee99',
			'iconsmind-File-Copy2' => '\\ee9a',
			'iconsmind-File-CSV' => '\\ee9b',
			'iconsmind-File-Download' => '\\ee9c',
			'iconsmind-File-Edit' => '\\ee9d',
			'iconsmind-File-Excel' => '\\ee9e',
			'iconsmind-File-Favorite' => '\\ee9f',
			'iconsmind-File-Fire' => '\\eea0',
			'iconsmind-File-Graph' => '\\eea1',
			'iconsmind-File-Hide' => '\\eea2',
			'iconsmind-File-Horizontal' => '\\eea3',
			'iconsmind-File-HorizontalText' => '\\eea4',
			'iconsmind-File-HTML' => '\\eea5',
			'iconsmind-File-JPG' => '\\eea6',
			'iconsmind-File-Link' => '\\eea7',
			'iconsmind-File-Loading' => '\\eea8',
			'iconsmind-File-Lock' => '\\eea9',
			'iconsmind-File-Love' => '\\eeaa',
			'iconsmind-File-Music' => '\\eeab',
			'iconsmind-File-Network' => '\\eeac',
			'iconsmind-File-Pictures' => '\\eead',
			'iconsmind-File-Pie' => '\\eeae',
			'iconsmind-File-Presentation' => '\\eeaf',
			'iconsmind-File-Refresh' => '\\eeb0',
			'iconsmind-Files' => '\\eeb1',
			'iconsmind-File-Search' => '\\eeb2',
			'iconsmind-File-Settings' => '\\eeb3',
			'iconsmind-File-Share' => '\\eeb4',
			'iconsmind-File-TextImage' => '\\eeb5',
			'iconsmind-File-Trash' => '\\eeb6',
			'iconsmind-File-TXT' => '\\eeb7',
			'iconsmind-File-Upload' => '\\eeb8',
			'iconsmind-File-Video' => '\\eeb9',
			'iconsmind-File-Word' => '\\eeba',
			'iconsmind-File-Zip' => '\\eebb',
			'iconsmind-Financial' => '\\eebc',
			'iconsmind-Finger' => '\\eebd',
			'iconsmind-Fingerprint' => '\\eebe',
			'iconsmind-Fingerprint-2' => '\\eebf',
			'iconsmind-Firefox' => '\\eec0',
			'iconsmind-Fire-Staion' => '\\eec1',
			'iconsmind-Fish' => '\\eec2',
			'iconsmind-Fit-To' => '\\eec3',
			'iconsmind-Fit-To2' => '\\eec4',
			'iconsmind-Flag2' => '\\eec5',
			'iconsmind-Flag-22' => '\\eec6',
			'iconsmind-Flag-3' => '\\eec7',
			'iconsmind-Flag-4' => '\\eec8',
			'iconsmind-Flamingo' => '\\eec9',
			'iconsmind-Folder' => '\\eeca',
			'iconsmind-Folder-Add' => '\\eecb',
			'iconsmind-Folder-Archive' => '\\eecc',
			'iconsmind-Folder-Binder' => '\\eecd',
			'iconsmind-Folder-Binder2' => '\\eece',
			'iconsmind-Folder-Block' => '\\eecf',
			'iconsmind-Folder-Bookmark' => '\\eed0',
			'iconsmind-Folder-Close' => '\\eed1',
			'iconsmind-Folder-Cloud' => '\\eed2',
			'iconsmind-Folder-Delete' => '\\eed3',
			'iconsmind-Folder-Download' => '\\eed4',
			'iconsmind-Folder-Edit' => '\\eed5',
			'iconsmind-Folder-Favorite' => '\\eed6',
			'iconsmind-Folder-Fire' => '\\eed7',
			'iconsmind-Folder-Hide' => '\\eed8',
			'iconsmind-Folder-Link' => '\\eed9',
			'iconsmind-Folder-Loading' => '\\eeda',
			'iconsmind-Folder-Lock' => '\\eedb',
			'iconsmind-Folder-Love' => '\\eedc',
			'iconsmind-Folder-Music' => '\\eedd',
			'iconsmind-Folder-Network' => '\\eede',
			'iconsmind-Folder-Open' => '\\eedf',
			'iconsmind-Folder-Open2' => '\\eee0',
			'iconsmind-Folder-Organizing' => '\\eee1',
			'iconsmind-Folder-Pictures' => '\\eee2',
			'iconsmind-Folder-Refresh' => '\\eee3',
			'iconsmind-Folder-Remove' => '\\eee4',
			'iconsmind-Folders' => '\\eee5',
			'iconsmind-Folder-Search' => '\\eee6',
			'iconsmind-Folder-Settings' => '\\eee7',
			'iconsmind-Folder-Share' => '\\eee8',
			'iconsmind-Folder-Trash' => '\\eee9',
			'iconsmind-Folder-Upload' => '\\eeea',
			'iconsmind-Folder-Video' => '\\eeeb',
			'iconsmind-Folder-WithDocument' => '\\eeec',
			'iconsmind-Folder-Zip' => '\\eeed',
			'iconsmind-Foot' => '\\eeee',
			'iconsmind-Foot-2' => '\\eeef',
			'iconsmind-Fork' => '\\eef0',
			'iconsmind-Formula' => '\\eef1',
			'iconsmind-Fountain-Pen' => '\\eef2',
			'iconsmind-Fox' => '\\eef3',
			'iconsmind-Frankenstein' => '\\eef4',
			'iconsmind-French-Fries' => '\\eef5',
			'iconsmind-Frog' => '\\eef6',
			'iconsmind-Fruits' => '\\eef7',
			'iconsmind-Full-Screen' => '\\eef8',
			'iconsmind-Full-Screen2' => '\\eef9',
			'iconsmind-Full-View' => '\\eefa',
			'iconsmind-Full-View2' => '\\eefb',
			'iconsmind-Funky' => '\\eefc',
			'iconsmind-Funny-Bicycle' => '\\eefd',
			'iconsmind-Gamepad' => '\\eefe',
			'iconsmind-Gamepad-2' => '\\eeff',
			'iconsmind-Gay' => '\\ef00',
			'iconsmind-Geek2' => '\\ef01',
			'iconsmind-Gentleman' => '\\ef02',
			'iconsmind-Giraffe' => '\\ef03',
			'iconsmind-Glasses' => '\\ef04',
			'iconsmind-Glasses-2' => '\\ef05',
			'iconsmind-Glasses-3' => '\\ef06',
			'iconsmind-Glass-Water' => '\\ef07',
			'iconsmind-Gloves' => '\\ef08',
			'iconsmind-Go-Bottom' => '\\ef09',
			'iconsmind-Gorilla' => '\\ef0a',
			'iconsmind-Go-Top' => '\\ef0b',
			'iconsmind-Grave' => '\\ef0c',
			'iconsmind-Graveyard' => '\\ef0d',
			'iconsmind-Greece' => '\\ef0e',
			'iconsmind-Hair' => '\\ef0f',
			'iconsmind-Hair-2' => '\\ef10',
			'iconsmind-Hair-3' => '\\ef11',
			'iconsmind-Halloween-HalfMoon' => '\\ef12',
			'iconsmind-Halloween-Moon' => '\\ef13',
			'iconsmind-Hamburger' => '\\ef14',
			'iconsmind-Hand' => '\\ef15',
			'iconsmind-Hands' => '\\ef16',
			'iconsmind-Handshake' => '\\ef17',
			'iconsmind-Hanger' => '\\ef18',
			'iconsmind-Happy' => '\\ef19',
			'iconsmind-Hat' => '\\ef1a',
			'iconsmind-Hat-2' => '\\ef1b',
			'iconsmind-Haunted-House' => '\\ef1c',
			'iconsmind-HD' => '\\ef1d',
			'iconsmind-HDD' => '\\ef1e',
			'iconsmind-Heart2' => '\\ef1f',
			'iconsmind-Heels' => '\\ef20',
			'iconsmind-Heels-2' => '\\ef21',
			'iconsmind-Hello' => '\\ef22',
			'iconsmind-Hipo' => '\\ef23',
			'iconsmind-Hipster-Glasses' => '\\ef24',
			'iconsmind-Hipster-Glasses2' => '\\ef25',
			'iconsmind-Hipster-Glasses3' => '\\ef26',
			'iconsmind-Hipster-Headphones' => '\\ef27',
			'iconsmind-Hipster-Men' => '\\ef28',
			'iconsmind-Hipster-Men2' => '\\ef29',
			'iconsmind-Hipster-Men3' => '\\ef2a',
			'iconsmind-Hipster-Sunglasses' => '\\ef2b',
			'iconsmind-Hipster-Sunglasses2' => '\\ef2c',
			'iconsmind-Hipster-Sunglasses3' => '\\ef2d',
			'iconsmind-Holly' => '\\ef2e',
			'iconsmind-Home2' => '\\ef2f',
			'iconsmind-Home-2' => '\\ef30',
			'iconsmind-Home-3' => '\\ef31',
			'iconsmind-Home-4' => '\\ef32',
			'iconsmind-Honey' => '\\ef33',
			'iconsmind-Hong-Kong' => '\\ef34',
			'iconsmind-Hoodie' => '\\ef35',
			'iconsmind-Horror' => '\\ef36',
			'iconsmind-Horse' => '\\ef37',
			'iconsmind-Hospital2' => '\\ef38',
			'iconsmind-Host' => '\\ef39',
			'iconsmind-Hot-Dog' => '\\ef3a',
			'iconsmind-Hotel' => '\\ef3b',
			'iconsmind-Hub' => '\\ef3c',
			'iconsmind-Humor' => '\\ef3d',
			'iconsmind-Ice-Cream' => '\\ef3e',
			'iconsmind-Idea' => '\\ef3f',
			'iconsmind-Inbox' => '\\ef40',
			'iconsmind-Inbox-Empty' => '\\ef41',
			'iconsmind-Inbox-Forward' => '\\ef42',
			'iconsmind-Inbox-Full' => '\\ef43',
			'iconsmind-Inbox-Into' => '\\ef44',
			'iconsmind-Inbox-Out' => '\\ef45',
			'iconsmind-Inbox-Reply' => '\\ef46',
			'iconsmind-Increase-Inedit' => '\\ef47',
			'iconsmind-Indent-FirstLine' => '\\ef48',
			'iconsmind-Indent-LeftMargin' => '\\ef49',
			'iconsmind-Indent-RightMargin' => '\\ef4a',
			'iconsmind-India' => '\\ef4b',
			'iconsmind-Internet-Explorer' => '\\ef4c',
			'iconsmind-Internet-Smiley' => '\\ef4d',
			'iconsmind-iOS-Apple' => '\\ef4e',
			'iconsmind-Israel' => '\\ef4f',
			'iconsmind-Jacket' => '\\ef50',
			'iconsmind-Jamaica' => '\\ef51',
			'iconsmind-Japan' => '\\ef52',
			'iconsmind-Japanese-Gate' => '\\ef53',
			'iconsmind-Jeans' => '\\ef54',
			'iconsmind-Joystick' => '\\ef55',
			'iconsmind-Juice' => '\\ef56',
			'iconsmind-Kangoroo' => '\\ef57',
			'iconsmind-Kenya' => '\\ef58',
			'iconsmind-Keyboard' => '\\ef59',
			'iconsmind-Keypad' => '\\ef5a',
			'iconsmind-King' => '\\ef5b',
			'iconsmind-Kiss' => '\\ef5c',
			'iconsmind-Knee' => '\\ef5d',
			'iconsmind-Knife' => '\\ef5e',
			'iconsmind-Knight' => '\\ef5f',
			'iconsmind-Koala' => '\\ef60',
			'iconsmind-Korea' => '\\ef61',
			'iconsmind-Lantern' => '\\ef62',
			'iconsmind-Laptop' => '\\ef63',
			'iconsmind-Laptop-2' => '\\ef64',
			'iconsmind-Laptop-3' => '\\ef65',
			'iconsmind-Laptop-Phone' => '\\ef66',
			'iconsmind-Laptop-Tablet' => '\\ef67',
			'iconsmind-Laughing' => '\\ef68',
			'iconsmind-Leaning-Tower' => '\\ef69',
			'iconsmind-Left2' => '\\ef6a',
			'iconsmind-Left-2' => '\\ef6b',
			'iconsmind-Left-3' => '\\ef6c',
			'iconsmind-Left--Right' => '\\ef6d',
			'iconsmind-Left--Right3' => '\\ef6e',
			'iconsmind-Left-ToRight' => '\\ef6f',
			'iconsmind-Leg' => '\\ef70',
			'iconsmind-Leg-2' => '\\ef71',
			'iconsmind-Lemon' => '\\ef72',
			'iconsmind-Leopard' => '\\ef73',
			'iconsmind-Letter-Close' => '\\ef74',
			'iconsmind-Letter-Open' => '\\ef75',
			'iconsmind-Letter-Sent' => '\\ef76',
			'iconsmind-Library2' => '\\ef77',
			'iconsmind-Lighthouse' => '\\ef78',
			'iconsmind-Line-Chart' => '\\ef79',
			'iconsmind-Line-Chart2' => '\\ef7a',
			'iconsmind-Line-Chart3' => '\\ef7b',
			'iconsmind-Line-Chart4' => '\\ef7c',
			'iconsmind-Line-Spacing' => '\\ef7d',
			'iconsmind-Linux' => '\\ef7e',
			'iconsmind-Lion' => '\\ef7f',
			'iconsmind-Lollipop' => '\\ef80',
			'iconsmind-Lollipop-2' => '\\ef81',
			'iconsmind-Loop' => '\\ef82',
			'iconsmind-Love2' => '\\ef83',
			'iconsmind-Mail' => '\\ef84',
			'iconsmind-Mail-2' => '\\ef85',
			'iconsmind-Mail-3' => '\\ef86',
			'iconsmind-Mail-Add' => '\\ef87',
			'iconsmind-Mail-Attachement' => '\\ef88',
			'iconsmind-Mail-Block' => '\\ef89',
			'iconsmind-Mailbox-Empty' => '\\ef8a',
			'iconsmind-Mailbox-Full' => '\\ef8b',
			'iconsmind-Mail-Delete' => '\\ef8c',
			'iconsmind-Mail-Favorite' => '\\ef8d',
			'iconsmind-Mail-Forward' => '\\ef8e',
			'iconsmind-Mail-Gallery' => '\\ef8f',
			'iconsmind-Mail-Inbox' => '\\ef90',
			'iconsmind-Mail-Link' => '\\ef91',
			'iconsmind-Mail-Lock' => '\\ef92',
			'iconsmind-Mail-Love' => '\\ef93',
			'iconsmind-Mail-Money' => '\\ef94',
			'iconsmind-Mail-Open' => '\\ef95',
			'iconsmind-Mail-Outbox' => '\\ef96',
			'iconsmind-Mail-Password' => '\\ef97',
			'iconsmind-Mail-Photo' => '\\ef98',
			'iconsmind-Mail-Read' => '\\ef99',
			'iconsmind-Mail-Removex' => '\\ef9a',
			'iconsmind-Mail-Reply' => '\\ef9b',
			'iconsmind-Mail-ReplyAll' => '\\ef9c',
			'iconsmind-Mail-Search' => '\\ef9d',
			'iconsmind-Mail-Send' => '\\ef9e',
			'iconsmind-Mail-Settings' => '\\ef9f',
			'iconsmind-Mail-Unread' => '\\efa0',
			'iconsmind-Mail-Video' => '\\efa1',
			'iconsmind-Mail-withAtSign' => '\\efa2',
			'iconsmind-Mail-WithCursors' => '\\efa3',
			'iconsmind-Mans-Underwear' => '\\efa4',
			'iconsmind-Mans-Underwear2' => '\\efa5',
			'iconsmind-Marker' => '\\efa6',
			'iconsmind-Marker-2' => '\\efa7',
			'iconsmind-Marker-3' => '\\efa8',
			'iconsmind-Martini-Glass' => '\\efa9',
			'iconsmind-Master-Card' => '\\efaa',
			'iconsmind-Maximize' => '\\efab',
			'iconsmind-Megaphone' => '\\efac',
			'iconsmind-Mexico' => '\\efad',
			'iconsmind-Milk-Bottle' => '\\efae',
			'iconsmind-Minimize' => '\\efaf',
			'iconsmind-Money' => '\\efb0',
			'iconsmind-Money-2' => '\\efb1',
			'iconsmind-Money-Bag' => '\\efb2',
			'iconsmind-Monitor' => '\\efb3',
			'iconsmind-Monitor-2' => '\\efb4',
			'iconsmind-Monitor-3' => '\\efb5',
			'iconsmind-Monitor-4' => '\\efb6',
			'iconsmind-Monitor-5' => '\\efb7',
			'iconsmind-Monitor-Laptop' => '\\efb8',
			'iconsmind-Monitor-phone' => '\\efb9',
			'iconsmind-Monitor-Tablet' => '\\efba',
			'iconsmind-Monitor-Vertical' => '\\efbb',
			'iconsmind-Monkey' => '\\efbc',
			'iconsmind-Monster' => '\\efbd',
			'iconsmind-Morocco' => '\\efbe',
			'iconsmind-Mouse' => '\\efbf',
			'iconsmind-Mouse-2' => '\\efc0',
			'iconsmind-Mouse-3' => '\\efc1',
			'iconsmind-Moustache-Smiley' => '\\efc2',
			'iconsmind-Museum' => '\\efc3',
			'iconsmind-Mushroom' => '\\efc4',
			'iconsmind-Mustache' => '\\efc5',
			'iconsmind-Mustache-2' => '\\efc6',
			'iconsmind-Mustache-3' => '\\efc7',
			'iconsmind-Mustache-4' => '\\efc8',
			'iconsmind-Mustache-5' => '\\efc9',
			'iconsmind-Navigate-End' => '\\efca',
			'iconsmind-Navigat-Start' => '\\efcb',
			'iconsmind-Nepal' => '\\efcc',
			'iconsmind-Netscape' => '\\efcd',
			'iconsmind-New-Mail' => '\\efce',
			'iconsmind-Newspaper' => '\\efcf',
			'iconsmind-Newspaper-2' => '\\efd0',
			'iconsmind-No-Battery' => '\\efd1',
			'iconsmind-Noose' => '\\efd2',
			'iconsmind-Note' => '\\efd3',
			'iconsmind-Notepad' => '\\efd4',
			'iconsmind-Notepad-2' => '\\efd5',
			'iconsmind-Office' => '\\efd6',
			'iconsmind-Old-Camera' => '\\efd7',
			'iconsmind-Old-Cassette' => '\\efd8',
			'iconsmind-Old-Sticky' => '\\efd9',
			'iconsmind-Old-Sticky2' => '\\efda',
			'iconsmind-Old-Telephone' => '\\efdb',
			'iconsmind-Open-Banana' => '\\efdc',
			'iconsmind-Open-Book' => '\\efdd',
			'iconsmind-Opera' => '\\efde',
			'iconsmind-Opera-House' => '\\efdf',
			'iconsmind-Orientation2' => '\\efe0',
			'iconsmind-Orientation-2' => '\\efe1',
			'iconsmind-Ornament' => '\\efe2',
			'iconsmind-Owl' => '\\efe3',
			'iconsmind-Paintbrush' => '\\efe4',
			'iconsmind-Palette' => '\\efe5',
			'iconsmind-Panda' => '\\efe6',
			'iconsmind-Pantheon' => '\\efe7',
			'iconsmind-Pantone' => '\\efe8',
			'iconsmind-Pants' => '\\efe9',
			'iconsmind-Paper' => '\\efea',
			'iconsmind-Parrot' => '\\efeb',
			'iconsmind-Pawn' => '\\efec',
			'iconsmind-Pen' => '\\efed',
			'iconsmind-Pen-2' => '\\efee',
			'iconsmind-Pen-3' => '\\efef',
			'iconsmind-Pen-4' => '\\eff0',
			'iconsmind-Pen-5' => '\\eff1',
			'iconsmind-Pen-6' => '\\eff2',
			'iconsmind-Pencil' => '\\eff3',
			'iconsmind-Pencil-Ruler' => '\\eff4',
			'iconsmind-Penguin' => '\\eff5',
			'iconsmind-Pentagon' => '\\eff6',
			'iconsmind-People-onCloud' => '\\eff7',
			'iconsmind-Pepper' => '\\eff8',
			'iconsmind-Pepper-withFire' => '\\eff9',
			'iconsmind-Petronas-Tower' => '\\effa',
			'iconsmind-Philipines' => '\\effb',
			'iconsmind-Phone' => '\\effc',
			'iconsmind-Phone-2' => '\\effd',
			'iconsmind-Phone-3' => '\\effe',
			'iconsmind-Phone-3G' => '\\efff',
			'iconsmind-Phone-4G' => '\\f000',
			'iconsmind-Phone-Simcard' => '\\f001',
			'iconsmind-Phone-SMS' => '\\f002',
			'iconsmind-Phone-Wifi' => '\\f003',
			'iconsmind-Pi' => '\\f004',
			'iconsmind-Pie-Chart' => '\\f005',
			'iconsmind-Pie-Chart2' => '\\f006',
			'iconsmind-Pie-Chart3' => '\\f007',
			'iconsmind-Pipette' => '\\f008',
			'iconsmind-Piramids' => '\\f009',
			'iconsmind-Pizza' => '\\f00a',
			'iconsmind-Pizza-Slice' => '\\f00b',
			'iconsmind-Plastic-CupPhone' => '\\f00c',
			'iconsmind-Plastic-CupPhone2' => '\\f00d',
			'iconsmind-Plate' => '\\f00e',
			'iconsmind-Plates' => '\\f00f',
			'iconsmind-Plug-In' => '\\f010',
			'iconsmind-Plug-In2' => '\\f011',
			'iconsmind-Poland' => '\\f012',
			'iconsmind-Police-Station' => '\\f013',
			'iconsmind-Polo-Shirt' => '\\f014',
			'iconsmind-Portugal' => '\\f015',
			'iconsmind-Post-Mail' => '\\f016',
			'iconsmind-Post-Mail2' => '\\f017',
			'iconsmind-Post-Office' => '\\f018',
			'iconsmind-Pound' => '\\f019',
			'iconsmind-Pound-Sign' => '\\f01a',
			'iconsmind-Pound-Sign2' => '\\f01b',
			'iconsmind-Power' => '\\f01c',
			'iconsmind-Power-Cable' => '\\f01d',
			'iconsmind-Prater' => '\\f01e',
			'iconsmind-Present' => '\\f01f',
			'iconsmind-Presents' => '\\f020',
			'iconsmind-Printer' => '\\f021',
			'iconsmind-Projector' => '\\f022',
			'iconsmind-Projector-2' => '\\f023',
			'iconsmind-Pumpkin' => '\\f024',
			'iconsmind-Punk' => '\\f025',
			'iconsmind-Queen' => '\\f026',
			'iconsmind-Quill' => '\\f027',
			'iconsmind-Quill-2' => '\\f028',
			'iconsmind-Quill-3' => '\\f029',
			'iconsmind-Ram' => '\\f02a',
			'iconsmind-Redhat' => '\\f02b',
			'iconsmind-Reload2' => '\\f02c',
			'iconsmind-Reload-2' => '\\f02d',
			'iconsmind-Remote-Controll' => '\\f02e',
			'iconsmind-Remote-Controll2' => '\\f02f',
			'iconsmind-Remove-File' => '\\f030',
			'iconsmind-Repeat3' => '\\f031',
			'iconsmind-Repeat-22' => '\\f032',
			'iconsmind-Repeat-3' => '\\f033',
			'iconsmind-Repeat-4' => '\\f034',
			'iconsmind-Resize' => '\\f035',
			'iconsmind-Retro' => '\\f036',
			'iconsmind-RGB' => '\\f037',
			'iconsmind-Right2' => '\\f038',
			'iconsmind-Right-2' => '\\f039',
			'iconsmind-Right-3' => '\\f03a',
			'iconsmind-Right-ToLeft' => '\\f03b',
			'iconsmind-Robot2' => '\\f03c',
			'iconsmind-Roller' => '\\f03d',
			'iconsmind-Roof' => '\\f03e',
			'iconsmind-Rook' => '\\f03f',
			'iconsmind-Router' => '\\f040',
			'iconsmind-Router-2' => '\\f041',
			'iconsmind-Ruler' => '\\f042',
			'iconsmind-Ruler-2' => '\\f043',
			'iconsmind-Safari' => '\\f044',
			'iconsmind-Safe-Box2' => '\\f045',
			'iconsmind-Santa-Claus' => '\\f046',
			'iconsmind-Santa-Claus2' => '\\f047',
			'iconsmind-Santa-onSled' => '\\f048',
			'iconsmind-Scarf' => '\\f049',
			'iconsmind-Scissor' => '\\f04a',
			'iconsmind-Scotland' => '\\f04b',
			'iconsmind-Sea-Dog' => '\\f04c',
			'iconsmind-Search-onCloud' => '\\f04d',
			'iconsmind-Security-Smiley' => '\\f04e',
			'iconsmind-Serbia' => '\\f04f',
			'iconsmind-Server' => '\\f050',
			'iconsmind-Server-2' => '\\f051',
			'iconsmind-Servers' => '\\f052',
			'iconsmind-Share-onCloud' => '\\f053',
			'iconsmind-Shark' => '\\f054',
			'iconsmind-Sheep' => '\\f055',
			'iconsmind-Shirt' => '\\f056',
			'iconsmind-Shoes' => '\\f057',
			'iconsmind-Shoes-2' => '\\f058',
			'iconsmind-Short-Pants' => '\\f059',
			'iconsmind-Shuffle2' => '\\f05a',
			'iconsmind-Shuffle-22' => '\\f05b',
			'iconsmind-Singapore' => '\\f05c',
			'iconsmind-Skeleton' => '\\f05d',
			'iconsmind-Skirt' => '\\f05e',
			'iconsmind-Skull' => '\\f05f',
			'iconsmind-Sled' => '\\f060',
			'iconsmind-Sled-withGifts' => '\\f061',
			'iconsmind-Sleeping' => '\\f062',
			'iconsmind-Slippers' => '\\f063',
			'iconsmind-Smart' => '\\f064',
			'iconsmind-Smartphone' => '\\f065',
			'iconsmind-Smartphone-2' => '\\f066',
			'iconsmind-Smartphone-3' => '\\f067',
			'iconsmind-Smartphone-4' => '\\f068',
			'iconsmind-Smile' => '\\f069',
			'iconsmind-Smoking-Pipe' => '\\f06a',
			'iconsmind-Snake' => '\\f06b',
			'iconsmind-Snow-Dome' => '\\f06c',
			'iconsmind-Snowflake2' => '\\f06d',
			'iconsmind-Snowman' => '\\f06e',
			'iconsmind-Socks' => '\\f06f',
			'iconsmind-Soup' => '\\f070',
			'iconsmind-South-Africa' => '\\f071',
			'iconsmind-Space-Needle' => '\\f072',
			'iconsmind-Spain' => '\\f073',
			'iconsmind-Spam-Mail' => '\\f074',
			'iconsmind-Speaker2' => '\\f075',
			'iconsmind-Spell-Check' => '\\f076',
			'iconsmind-Spell-CheckABC' => '\\f077',
			'iconsmind-Spider' => '\\f078',
			'iconsmind-Spiderweb' => '\\f079',
			'iconsmind-Spoder' => '\\f07a',
			'iconsmind-Spoon' => '\\f07b',
			'iconsmind-Sports-Clothings1' => '\\f07c',
			'iconsmind-Sports-Clothings2' => '\\f07d',
			'iconsmind-Sports-Shirt' => '\\f07e',
			'iconsmind-Spray' => '\\f07f',
			'iconsmind-Squirrel' => '\\f080',
			'iconsmind-Stamp' => '\\f081',
			'iconsmind-Stamp-2' => '\\f082',
			'iconsmind-Stapler' => '\\f083',
			'iconsmind-Star' => '\\f084',
			'iconsmind-Starfish' => '\\f085',
			'iconsmind-Start2' => '\\f086',
			'iconsmind-St-BasilsCathedral' => '\\f087',
			'iconsmind-St-PaulsCathedral' => '\\f088',
			'iconsmind-Structure' => '\\f089',
			'iconsmind-Student-Hat' => '\\f08a',
			'iconsmind-Student-Hat2' => '\\f08b',
			'iconsmind-Suit' => '\\f08c',
			'iconsmind-Sum2' => '\\f08d',
			'iconsmind-Sunglasses' => '\\f08e',
			'iconsmind-Sunglasses-2' => '\\f08f',
			'iconsmind-Sunglasses-3' => '\\f090',
			'iconsmind-Sunglasses-Smiley' => '\\f091',
			'iconsmind-Sunglasses-Smiley2' => '\\f092',
			'iconsmind-Sunglasses-W' => '\\f093',
			'iconsmind-Sunglasses-W2' => '\\f094',
			'iconsmind-Sunglasses-W3' => '\\f095',
			'iconsmind-Surprise' => '\\f096',
			'iconsmind-Sushi' => '\\f097',
			'iconsmind-Sweden' => '\\f098',
			'iconsmind-Swimming-Short' => '\\f099',
			'iconsmind-Swimmwear' => '\\f09a',
			'iconsmind-Switzerland' => '\\f09b',
			'iconsmind-Sync' => '\\f09c',
			'iconsmind-Sync-Cloud' => '\\f09d',
			'iconsmind-Tablet' => '\\f09e',
			'iconsmind-Tablet-2' => '\\f09f',
			'iconsmind-Tablet-3' => '\\f0a0',
			'iconsmind-Tablet-Orientation' => '\\f0a1',
			'iconsmind-Tablet-Phone' => '\\f0a2',
			'iconsmind-Tablet-Vertical' => '\\f0a3',
			'iconsmind-Tactic' => '\\f0a4',
			'iconsmind-Taj-Mahal' => '\\f0a5',
			'iconsmind-Teapot' => '\\f0a6',
			'iconsmind-Tee-Mug' => '\\f0a7',
			'iconsmind-Telephone' => '\\f0a8',
			'iconsmind-Telephone-2' => '\\f0a9',
			'iconsmind-Temple' => '\\f0aa',
			'iconsmind-Thailand' => '\\f0ab',
			'iconsmind-The-WhiteHouse' => '\\f0ac',
			'iconsmind-Three-ArrowFork' => '\\f0ad',
			'iconsmind-Thumbs-DownSmiley' => '\\f0ae',
			'iconsmind-Thumbs-UpSmiley' => '\\f0af',
			'iconsmind-Tie' => '\\f0b0',
			'iconsmind-Tie-2' => '\\f0b1',
			'iconsmind-Tie-3' => '\\f0b2',
			'iconsmind-Tiger' => '\\f0b3',
			'iconsmind-Time-Clock' => '\\f0b4',
			'iconsmind-To-Bottom' => '\\f0b5',
			'iconsmind-To-Bottom2' => '\\f0b6',
			'iconsmind-Token' => '\\f0b7',
			'iconsmind-To-Left' => '\\f0b8',
			'iconsmind-Tomato' => '\\f0b9',
			'iconsmind-Tongue' => '\\f0ba',
			'iconsmind-Tooth' => '\\f0bb',
			'iconsmind-Tooth-2' => '\\f0bc',
			'iconsmind-Top-ToBottom' => '\\f0bd',
			'iconsmind-To-Right' => '\\f0be',
			'iconsmind-To-Top' => '\\f0bf',
			'iconsmind-To-Top2' => '\\f0c0',
			'iconsmind-Tower' => '\\f0c1',
			'iconsmind-Tower-2' => '\\f0c2',
			'iconsmind-Tower-Bridge' => '\\f0c3',
			'iconsmind-Transform' => '\\f0c4',
			'iconsmind-Transform-2' => '\\f0c5',
			'iconsmind-Transform-3' => '\\f0c6',
			'iconsmind-Transform-4' => '\\f0c7',
			'iconsmind-Tree2' => '\\f0c8',
			'iconsmind-Tree-22' => '\\f0c9',
			'iconsmind-Triangle-ArrowDown' => '\\f0ca',
			'iconsmind-Triangle-ArrowLeft' => '\\f0cb',
			'iconsmind-Triangle-ArrowRight' => '\\f0cc',
			'iconsmind-Triangle-ArrowUp' => '\\f0cd',
			'iconsmind-T-Shirt' => '\\f0ce',
			'iconsmind-Turkey' => '\\f0cf',
			'iconsmind-Turn-Down' => '\\f0d0',
			'iconsmind-Turn-Down2' => '\\f0d1',
			'iconsmind-Turn-DownFromLeft' => '\\f0d2',
			'iconsmind-Turn-DownFromRight' => '\\f0d3',
			'iconsmind-Turn-Left' => '\\f0d4',
			'iconsmind-Turn-Left3' => '\\f0d5',
			'iconsmind-Turn-Right' => '\\f0d6',
			'iconsmind-Turn-Right3' => '\\f0d7',
			'iconsmind-Turn-Up' => '\\f0d8',
			'iconsmind-Turn-Up2' => '\\f0d9',
			'iconsmind-Turtle' => '\\f0da',
			'iconsmind-Tuxedo' => '\\f0db',
			'iconsmind-Ukraine' => '\\f0dc',
			'iconsmind-Umbrela' => '\\f0dd',
			'iconsmind-United-Kingdom' => '\\f0de',
			'iconsmind-United-States' => '\\f0df',
			'iconsmind-University' => '\\f0e0',
			'iconsmind-Up2' => '\\f0e1',
			'iconsmind-Up-2' => '\\f0e2',
			'iconsmind-Up-3' => '\\f0e3',
			'iconsmind-Up--Down' => '\\f0e4',
			'iconsmind-Up--Down3' => '\\f0e5',
			'iconsmind-Upload2' => '\\f0e6',
			'iconsmind-Upload-toCloud' => '\\f0e7',
			'iconsmind-Usb' => '\\f0e8',
			'iconsmind-Usb-2' => '\\f0e9',
			'iconsmind-Usb-Cable' => '\\f0ea',
			'iconsmind-Vector' => '\\f0eb',
			'iconsmind-Vector-2' => '\\f0ec',
			'iconsmind-Vector-3' => '\\f0ed',
			'iconsmind-Vector-4' => '\\f0ee',
			'iconsmind-Vector-5' => '\\f0ef',
			'iconsmind-Vest' => '\\f0f0',
			'iconsmind-Vietnam' => '\\f0f1',
			'iconsmind-View-Height' => '\\f0f2',
			'iconsmind-View-Width' => '\\f0f3',
			'iconsmind-Visa' => '\\f0f4',
			'iconsmind-Voicemail' => '\\f0f5',
			'iconsmind-VPN' => '\\f0f6',
			'iconsmind-Wacom-Tablet' => '\\f0f7',
			'iconsmind-Walkie-Talkie' => '\\f0f8',
			'iconsmind-Wallet' => '\\f0f9',
			'iconsmind-Wallet-2' => '\\f0fa',
			'iconsmind-Warehouse' => '\\f0fb',
			'iconsmind-Webcam' => '\\f0fc',
			'iconsmind-Wifi' => '\\f0fd',
			'iconsmind-Wifi-2' => '\\f0fe',
			'iconsmind-Wifi-Keyboard' => '\\f0ff',
			'iconsmind-Window' => '\\f100',
			'iconsmind-Windows' => '\\f101',
			'iconsmind-Windows-Microsoft' => '\\f102',
			'iconsmind-Wine-Bottle' => '\\f103',
			'iconsmind-Wine-Glass' => '\\f104',
			'iconsmind-Wink' => '\\f105',
			'iconsmind-Wireless' => '\\f106',
			'iconsmind-Witch' => '\\f107',
			'iconsmind-Witch-Hat' => '\\f108',
			'iconsmind-Wizard' => '\\f109',
			'iconsmind-Wolf' => '\\f10a',
			'iconsmind-Womans-Underwear' => '\\f10b',
			'iconsmind-Womans-Underwear2' => '\\f10c',
			'iconsmind-Worker-Clothes' => '\\f10d',
			'iconsmind-Wreath' => '\\f10e',
			'iconsmind-Zebra' => '\\f10f',
			'iconsmind-Zombie' => '\\f110',
		);
		
		return $iconsmind_icons;
	}
}
